About This Program

Author of the program and this text is Werner Kaminsky. He had a research faculty position in the Department for Chemistry of the University of Washington, Seattle in Washington, USA from 2000 to 2020. Born in Germany in 1959 going to school and after studying physics and then crystallography under Professor Siegfried Haussuehl, a PhD and a ‘Habilitation’ in

Cologne he moved first to Oxford to work at the Clarendon Laboratory in the Physical Crystallography Research Group of Professor Mike Glazer where he got a call to join Professor Bart Kahr in his research on dyed crystals and related phenomena. Half of the time is now spent in solving X-ray structures for the Department. The other half is dedicated to research and on rare occasions to projects like this: writing programs mainly for educational use. This is what Werner has to say about this program.

“This Program was started during my vacation over the holidays in Cologne, Germany, winter 2003/2004. As such, it did not waste salary or other funding while working on this program and I want to share my pleasure of writing and using WinXMorph with members of educational institutions and friends of crystal in generals.

My reason of writing a program to generate *.wrl files of crystal morphologies is simple: there are almost no such files on the internet (9.1.2004). This will most likely change soon, and the beauty of crystal shapes will, so I hope, attract many.”


Condition of Usage

More:


Legal Stuff

Copyright © 2004-2013 Werner Kaminsky, University of Washington, Seattle, Washington, USA

All rights reserved

First Edition: September 2004

Current Edition (1.5.5.0) December 2022

No part of this publication may be reproduced, stored in a retrieval system, or transmitted, by any means, electronic, mechanical, photocopying or otherwise, without the prior written permission of Werner.

This program is intended for educational purposes.

WWinXMorph is a trademark of Werner Kaminsky. For further information refer to http://128.95.152.162/WinXMorphHome/WinXmorph.htm or http://Wintensor.com


Citation requirement of WinXMorph

Users of WinXmorph are required to cite WinXmorph in publications containing images or results obtained utilizing WinXmorph.

Add the following citations:

· W.Kaminsky, WinXMorph: a computer program to draw crystal morphology, growth sectors and cross sections with export files in VRML V2.0 utf8-virtual reality format. J. Appl. Cryst. (2005) 38 566–567

· W.Kaminsky, From CIF to virtual morphology using the WinXMorph program. J. Appl. Cryst. (2007) 40 382–385


Installation and Removal of WinXMorph

WinXMorph compiles files in the R98 format (*.wrl) and uses a VRML viewer. This means, that viewer needs to be installed to get the program to work. The viewer is the CORTONA CLIENT from Parallel Graphics, downloadable from here:

https://www.cortona3d.com/en/cortona3d-viewers-windows

Running the installation program ‘WinXMorphInstall.exe’ is all that is needed to install the package on a PC running Microsoft 95, 98, NT, 2000, XP, Vista or Windows 7.

WinXMorphInstall.msi will install all files needed except the Cortona client. The installation program will search for the client. If the program cannot localize the client, it will ask for initializing its installation. Depending on which version of WinXMorph, a Website from ParallelGraphics is opened (requires a webbrowser) where the client can be downloaded or the viewer will be downloaded right away.

In the unlikely case one wants to get rid of WinXMorph, do the following:

WinXMorph and the Cortona Client can be removed selecting ‘start’ from the desktop and then /‘settings’/’Control Panel’/’Add or Remove Programs’.


A simple Example

More:


Getting started

When all has been installed properly, starting the program should look like this:

If the program does not show any shape, write to me:

kaminsky@chem.washington.edu

The shape shown is based on 4 faces that are folded into 4 additional faces through the point symmetry operation P [image], i.e. all indices (h k l), are transformed by a point mirror into ( [image]).

The shape depends also on the distances of the faces to the origin. Both, the ‘Miller Indices’ and central distances are shown in the table on the right of above picture.


Editing a crystal model

More:


Aim

The philosophy behind the editor in this program is to create an image of a crystal as fast and straightforward as possible. The user has to be able to cancel an action, and if invalid numbers are inserted, the program should not go berserk.

The models created with WinXmorph can reach museum quality realism when surface structures, transparency and illumination are properly set.

Examples are provided for inspiration.


Tasks

The following tasks are needed to make a nice crystal model:

Metric / Editing Crystallographic Axes

Selecting a point symmetry

Editing a unique face

Adding another unique face

Removing any unique face

Editing Single Faces

Simulate cut through the crystals

Further, how color and feature settings are accessed is listed in:

Buttons one by one


Metric / Editing Crystallographic Axes

In the following we describe how to make a nice new crystal model

More:


Opening the Metric panel

Metric choices are made visible when clicking

Main menu: Crystal / Edit crystallographic axes (metric)

or

Speed Button Bar, icon

Or

In the face edit partition on the right, clicking [image].


Editing the crystallographic axes

The ‘metric’. Panel looks like the following:

Only those parameters can be edited that are unique. If a triclinic point group has been selected, all parameters are free to choose whereas in the cubic system only one lattice parameter can be changed.

If no change of metric is desired, click cancel and the previous lattice parameters are reinstated.


Selecting a point symmetry

More:


Opening the Choices

Point Group choices are made visible when clicking

Main menu: Crystal / Select Point Group Symmetry

or

Speed Button Bar, icon

Or

In the face edit partition on the right, clicking [image] Symmetry.


Selecting a point group

From the List of point group symmetries as shown below, click on the point group symbol check box, then double click or click on accept on the bottom of the list. It may be necessary to scroll down to see all choices.

If no change of point symmetry is desired, click cancel and the active point group is reinstated.

The symbols shown are abbreviations and represent the unique symmetry operations for the point groups.

In case an extended point group symbol is available, moving the mouse over the given symbol will trigger ballon-help which then shows the extended symbol.


Editing a unique face

More:

What is a face

What are unique faces

Changing indices of a unique face

Changing central distance of a unique face

Adding another unique face

Removing any unique face

Coloring, Indices and Growthsectors


What is a face

Crystals are mostly recognized by their beautifully facetted and shiny appearence. These - sometimes close to perfect - surfaces are called 'faces' of a crystal.

A crystal face is characterized by its orientation and distance towards the other faces leading to characteristic angles between them.

The orientation of a surface is described mathematically by defining a vector that is pointing away from the surface and having 90 degree angles towards it in all directions.

Such vectors, called 'normal vectors', are defined by three components, called 'Miller indices' numbers that relate the vector to a reference system, i.e. the metric of the crystal.


What are unique faces

Sets of faces that are not related by the symmetry operation of the selected point group may be called unique. However, when the point group changes, there might very well occur such a relation between them. The faces showing up when the program is started stay unique for all 32 crystallographic point groups.

Unique faces may not be in generally be connected to the world of crystal morphology: it is used in the context of X-ray reflections. However, here, I use this term in exactly the same way, where we have a ‘asymmetric unit’ consisting of a set of faces from which through symmetry the whole crystal shape is generated.

One can toggle between those unique faces and all faces with the ‘apply symmetry’ button:

Tip:

Right – click on this button will eable one to redraw the model. This is good if the image may have been drawn somewhat corrupted. Start redraw with clickking on ‘Yes’, abort with a click on ‘No’


Changing indices of a unique face

From the main menu select ‘Crystal’ then ‘Edit Unique Faces’, or click on the speed button bar on [image].

The table consists of two columns. The left one stores the indices (h k l). Click on a row and start editing the three indices leaving at least one space between them: the face (100) is edited as 1 – space – 0 space 0 and the central distance, i.e. the distance of this face from the origin (somewhere between 0.001 and, say 10) of the model which is edited as any number in the given language setting.

(Language settings specify if ‘.’ in English or ‘,’ in German for example separate the digits).

The editor accepts floating-point numbers, however, faces are always represented by integers. (The exception to this is the icosahedral symmetry –5 –3 2).

Immediately when entering a row on the table, two additional buttons appear at the bottom of the table: CANCEL and ACCEPT. They do what they say. If you CANCEL, the value before the face was edited will be restored. The same happens to the central distance.

If a no-valid series of characters is entered, the editing will be automatically canceled with a warning message and the old value gets restored.

You can edit and add several faces before accepting the changes in the table for unique faces, however, note that in the table for single faces (see below) you can only edit one face at a time.

Hint: ‘Double-clicking’ the table accepts the faces the same way as clicking ‘Accept’ or pressing the return key does.


Changing central distance of a unique face

From the main menu select ‘Crystal’ then ‘Edit Unique Faces’, or click on the speed button bar on [image].

Click on a row and start editing the central distance, i.e. the distance of this face from the origin of the model, which is edited as any number in the given language setting. However, values should be not smaller than 0.001. A value of 0 simply causes the editor to remove the face. A value larger than 5 most likely produces a far too large model.

Immediately when entering a row on the table, two additional buttons appear at the bottom of the table: CANCEL and ACCEPT. They do what they say. If you CANCEL, the central distance before the face was edited will be restored.

To change the color, draw a growth sector or show indices for a selected face see:

Single face properties


Adding another unique face

From the main menu select ‘Crystal’ then ‘Edit Unique Faces’, or click on the speed button bar on [image] . On top of the table appears:

Click on ‘Add Face’. A new row appears with indices 0 0 0 and central distance 1. Click the row and edit the indices and the distance.


Removing any unique face

From the main menu select ‘Crystal’ then ‘Edit Unique Faces’, or click on the speed button bar on [image] . On top of the table appears:

Click on a row you want to remove, and then click on ‘Remove Face’ and its gone.

If you changed your mind, clicking straight away on ‘Add Face’ will do you a special favor: it restores that deleted face.

Note the difference in performance when clicking on ‘Add Face’ if ‘Remove Face’ has not been fired immediately before adding the face.


Coloring, Indices and Growthsectors

More:


Opening Special Face Features

When the unique-faces table is visible, the following special effects can be applied to the crystal model:

· Indices for symmetry related faces

· Applying a color to symmetry related faces

· Drawing growthsectors to symmetry related faces

· Load an image to cover a face

Select a row and rightclick or click on [image] on the Speed Button Bar.

This will open the ‘Special Face Features’.


Special Face Features

The following panel opens:

Here, one can

· Scroll through the unique faces

· Define a face’s color which will be also applied to all symmetry related faces.

· Draw a growth sector to this and all symmetry related faces face

· Show indices for this and the related face only, all other indices are suppressed

· With ‘face image’ load an image (*.gif) and put it on the selected face. If ‘apply symmetry’ is enabled, this face is copied to all symmetry related faces, however, the rotational orientation of the image may not represent the selected symmetry

· Change central distance of this and the symmetry-related face with the slider

· Enable glossy appearance for all selected faces

· Select a transparency for all selected faces

· Reset the selected unique face

· Reset all selected faces

Changes are accepted with the ACCEPT button or double click on the panel. Changes will not change the model if CANCEL is clicked


Editing Single Faces

More:

General Remarks

Single face properties

Simulate cut through the crystals

Twins


General Remarks

From the main menu select ‘Crystal’ then ‘Edit Face’, or click on the speed button bar on [image].

Editing is analog to that of editing a unique face, except; you can change only one at a time. This means, after edited a row you need to double click the table or click on the accept button or press the ‘enter’ key.

o  Changes to a face will stay there: they are not applied to symmetry related faces.


Single face properties

Select a row in the single face listing, then right click the table (with apply symmetry unchecked) or click on [image] on the Speed Button Bar.

The following panel opens:

Here, one can

· Scroll through the single faces

· Define a single face’s color

· Draw a growth sector to this face

· Show indices for this face only, all other are suppressed

· With ‘face image’ load an image (*.gif) and put it on the selected face

· Change central distance of this face with the slider

· Enable glossy appearance for all selected faces

· Select a transparency for all selected faces

· Reset the selected face

· Reset all selected faces

Changes are accepted with the ACCEPT button or a double click on the panel. Changes will not change the model if CANCEL is clicked.


Simulate cut through the crystals

Crystals are nice ‘as grown’, however, for scientific reasons, they often get cut into thin plates.

When clicking on [image], a partition opens with one of a kind of options.

First, you need to specify the indices of the face that cuts the crystal.

If you don’t, the following appears:

Type the indices in and specify a central distance.

You may use the scrollbar to change the central distance. The model will be drawn immediately, the specified cut through it, that is.

However, if you allow it with checking ‘show model’, you see the cut through the crystal.

The specific face can be colored individually from ‘single face properties’.

Click on the face indices first and then select [image].

Edit ad lib.

The following is an example showing quartz with a (001) cut plane.

‘Project growth sectors’ does exactly that. See the example below.

K2SO4, dyed with Evans blue showing the growth sectors, cut and projected along (010).


Twins

For simulation of twins, click on the twin symbol:

.

The Twintool panel that opens gives three twin law options:

Choose the twin law by clicking the related box. For contact twins, select the contact face from the table on the right with the crystal faces by clicking on the Miller indices of one face.

A rotation twin needs to have the rotation axis direction inserted, where one can choose between reciprocal or real space coordinates.

The separation between the twin individuals is given ‘through xyz’, which will accept floating point numbers.

And finally, the angle of rotation finishes specifying the twin law.

Similar to above, the point of inversion for an inversion twin can be selected before redrawing the model with update or by clicking on this button: .


Buttons one by one

More:

The main menu

Tools

The speed button bar

The Utility Panel


The main menu

Four options allow handling important tasks.

More:

File

Edit

View

Settings

Crystal


File

When clicking ‘file’, the user has the following items to choose from:

Item | Function
New Model | Clears the current model and leaves the tables with one face (100) to start a new crystal model
Load Data | Loads data in *.mor, *.wrl, *.cif formats
Load Recent | Opens the path to the last five edited models
Examples | Opens the ‘examples’ directory installed on the computer with WinXMorph
Save Data | Saves faces, distances metric and symmetry in *.mor or *.wrl format
Save wrz – file (compressed) | Saves the current virtual reality in the *.wrz format, i.e. in the wrl format, but then compressed (gzip – standard)
Export | Saves a hardcopy of the image as a Microsoft Bitmap, Windows Media File and exports data in cif syntax. Here we find also an export to the file format, *.stl, for 3-D printing.
Exit | Closes the program

When a file is saved as *.wrl, the program adds the *.mor file as comment to the VRML file. WinXMorph is able to retrieve this information when loading the wrl file. If there is no comment, the wrl file will be shown, but cannot be edited.


Edit

Here, the last step edited on a model can be undone (Undo) or, if available, one can go forward to previous editings.

The item opens ‘Copy Bitmap to Clipboard’. If clicked, a hardcopy of the current image is moved to the clipboard from where it can be inserted in other applications, like word for example.


View

Here, onne can hide or enable the toolbars:

1. Speedbuttons

2. Tables

3. Utilities

4. VRML-controls

Note: VRML-controls alre also switched on and off by double-clicking the model.


Settings

When clicking ‘Settings’, the user has the following items to choose from:

Item | Function
indices | If checked, the model shows indices on its faces
{hkil} | If checked, 4-indices mode is enabled, where i = - (h+k)
grid | If checked, the outline of the crystal shape is visible
fill | If checked, the faces will be shaded
axes | If checked, the directions of crystallographic axes are added to the model
animation | If checked, the model rotates
headlight | If checked, white light illuminates the model
spotlights | If checked, two side lights add to the illumination
solid | If unchecked, horrible things can happen, see below
styles | Select arranged styles from a list
Cad Style Viewer | The model will follow the cursor immediately if selected

Solid: Here we touch a sensitive point of virtual reality. When solid is checked, the VRML browser will assume a solid – inside faces are not rendered. The three different renderers (R98, Direct X, Open GL) give identical results.

When solid is unchecked, the results for different renderers differ if the model exhibits transparency. The result is only satisfying when using the R98 renderer.

WinXMorph automatically selects R98 rendere when solid is unchecked, and clicking on the Direct X, Open GL renderers will check the solid box.

The following styles are available:

Standard | Sparkling Black | Sparkling Blue | Crystal | Brilliant | Brilliant white


Crystal

The options are summarized below.

Item | Function
Select Point Group Symmetry | Select the point group. This should be done before editing the metric, as there are usually correlations and symmetry restrictions to the values for a to c and the angles.
Edit Crystallographic Axes (Metric) | Edit the lengths a, b, c and angles alpha, beta, gamma of the crystallographic system.
Edit Unique Faces | You may edit the table on the right of the model. After finishing editing, double click the table or click on accept (if you want to) or cancel below the table.
Edit Face | You can edit a face to change settings to a face, outwitting symmetry or highlighting a specific feature. If you click the right mouse button while inside the table, a ‘special face features’ panel opens.
Single Face Properties | Opens the ‘special face features’ panel.
Indicate Cleavage Face | Opens a panel which allows one to include a cut-face through the model.
Redraw Model | Force to redraw the model, no matter what
New Model | Reset all edited parameters and faces and start with four faces and triclinic symmetry as if restarting the program.
Automatic Clean-up | Redraws the model and removes symmetry related or invisable faces.


Tools

This menu (always under construction between versions of this program) allows different things to do.

Item | Action
Register *.mor extension | Once this menu item has been clicked, files with the extension .mor are registered with the regedit file. As a result, these file (after next restart of the computer) show the icon of WinXMorph and when a file is double-clicked from within the explorer for example, it will open automatically with WinXMorph.
Ombined Objects Wizard | Often, crystallographers want to compare the atomic structure, tensorial property, and crystal morphology. This utility allows to compile such an image. See below for details.
Calculations | This utility allows to calculate the angle between two face normal vectors. Further, one can transform Miller indices into the indices relative to the Cartesian reference system used in physical crystallography, where (010) is parallel y, [001] parallel z and x = y x z, and vice versa.
Record Movie | This allows to record the motion of the model as a short *.avi movie. The model is recised to avoid too large movie sizes and interrupted saving.
Morphology Prediction | Opens a panel for setting up the estimation of a morphology via the Bravais-Friedel, Donney-harker model which needs the metric, pointgroup, and translational symmetry elements specified.
Randomize Distances | Change the central distance of each face with a % range selected.
Twinning Tool | Allows to create a twin model. Twins are given above.

More:

Combined Objects Wizard

Calculations

Morphology Prediction

Help

Donations


Combined Objects Wizard

First, a couple of things need to be done. We need wrl-models of the morphology, the tensorial property and of the structure that somehow have to be merged showing up in the same orientation towards each other.

The morphology is created with WinXMorph of course.

The tensorial property is represented via a so called representation surface where the strength of the physical property is the distance of a point on the surface towards the origin. The only program that does this is WinTensor, to be obtained from:

http://128.95.152.162/wintensorhome/wintensor.htm

The structure model can be obtained from an internet service:

http://www2.ccc.uni-erlangen.de/services/vrmlcreator/

The orientation of these three files is set to match each other. This is achieved in making the group – wrl file that applies transformations based on the known orientations of the different files.

Step 1 is to put the morphology, the representation surface and the structure into one directory, called the ‘group directory’.

Calling the ‘Combined Objects Wizard’ opens as follows:

In step 1 to 3 we need to tell WinXMorph the metric angles of the crystal and disable animation. If we have not done already, we can make a new model and save it in the ‘Group-Directory’.

Step 4 is to select the ‘Group-Directory’.

Step 5, type in the full name of the morphology file, examle: ‘crystal.wrl’.

Step 6; type in the name of the representation surface model, example: ‘tensor.wrl’.

This routine assumes that the atomic structure model was created from the uni-erlangen site. In step 7, specify the name of the virtual reality file, example ‘structure.wrl’, which needs to sit like the others in the Group-Directory, what ever its name.

Last step, type in the name of the wrl-file that combines all three models; example ‘group.wrl’.

Hit Accept to create the file. If successful, it will show on the left as a new model.


Calculations

To calculate face angles, click on box next to label ‘face 1’ and then select a face in the single face table on the right. Do the same for the second face. The angle is calculated in degrees.

To transform click the box next to label ‘(hkl)’ and then select a face from the table on the right. The Cartesian coordinates (x,y,z) are calculated.

To get the Miller indices from a vector in Cartesian coordinates, edit (x,y,z) and click Calculate.


Morphology Prediction

The model (Bravais-Friedel, Donney-Harker model) is based on the observation that the size of a face is inverse-proportion to the lattice spacing of a given face. In addition, faces which are ‘extinct’ due to translational symmetries are shown in reverse proportion to the first non-extinct order of the face.

Item | Explanation
Start | Start the model, please edit first the necessary information.
cleanup | After calculation: remove invisible faces from tables.
With high order faces | Unclicking this will remove any face with an extinction rule on it from the model.
Bravais type | Slect the general translational symmetry of the lattice.
[100] etc. | Add further translational symmetry elements. The example shown is related to the space group Fddd in the ortho-rhombic system.
hkl-max | Set the maximum h/k/l for the model
d-max | Set the maximum central distance to be considered.
Randomization/sector-polarity | Depending on symmetry faces that are not related by symmetry are scaled in proportion to the slider selection either randomly or along a polar axis to create more realistic models.


Help

Here, the often to find-in-help items ‘about’ tells about the authorship of this program package.

WinXMorphHelp is this, the file you are reading.

Examples opens the examples-directory installed with the program.

Check for updates does that on demand. The program checks for updates at program start if the user has administrative rights.

WinXMorph Homepage is opened with this.

The History of updates is listed so one can see the improvements over time.

Logo: guess!


Donations

Clicking ‘Donations’ opens:

Be so kind to give if you can. There are no other sources of funding for the WinXMorph project then donations.


The speed button bar

There are quite a number of buttons on the speed button bar, each of them with important tasks. However, as usual for Windows applications, the same tasks can be called most of the time in three different ways: through the menu, through specific buttons elsewhere on the form, or by clicking on the speed buttons on the bar underneath the main menu.

Lets see what they do:

Speed button | Function
 | Makes the utility panel (left mouase click) and the listing of ‘Miller indices’ (right mouse click) visible
 | Opens the tools of the VRML window
 | Open the ‘Point Groups’ panel to select point symmetry.
 | Open the ‘Metric’ panel to edit the crystallographic axes.
 | You may edit the table on the right of the model. After finishing editing, double click the table or click on accept (if you want to) or cancel below the table.
 | You can edit a face, one at a time to change settings to a face, outwitting symmetry or highlighting a specific feature. If you click the right mouse button while inside the table, a ‘special face features’ panel opens.
 | Opens a *.mor file: that is the file format for files read by this program containing data on the faces, distances, symmetry, metric and settings to draw the model. It also opens a *.wrl/ *.wrz file. However, this file cannot be edited.
 | Saves a *.mor file. Contents see above.
 | Copies the screenshot of the model into the clipboard.
 | Enable a grid connecting the corners of the model.
 | Enable the model’s faces to be filled with color and shaded depending on their inclination towards the light sources.
 | Enables plotting the ‘Miller indices’ onto the crystal faces.
 | Shows the directions of the crystallographic axes.
 | Enables the headlight, quasi a lamp shining plainly from the observer onto the model.
 | Enable spotlights to let light come from an angle onto the model. This illumination creates nice reflection effects.
 | Set the background color.
 | Set the grid color.
 | Set the model color.
 | Set the indices color.
 | Set the axes color.
 | Open the Twinning Tool
 | Open the ‘Single Face Features’ panel to select an individual face color for a face or even draw a growth sector to this face.
 | Create a cut through the model.
 | Opens the help file


The Utility Panel

There are quite a number of checkboxes, buttons, and scrollbars on the toolbar bar, each of them with important tasks. However, as usual for Windows applications, the same tasks can be called most of the time in three different ways: through the menu, through specific buttons on the utility panel, or by clicking on the speed buttons on the bar underneath the main menu.

Lets see what they do:

Checkbox / Button / Scrollbar | Function
 | Makes the utility panel and the table of ‘Miller indices’ visible
solid | Allow reflection from the inside of the model if sufficient transparent. However, this works only properly if the rendere is set to R98 rendering! So that’s done automatically.
indices | Enables plotting the ‘Miller indices’ onto the crystal faces.
grid | Enable a grid connecting the corners of the model.
fill | Enable the model’s faces to be filled with color and shaded depending on their inclination towards the light sources.
Indices style | Right click: Quickly set the indices color. Left click: select character font
gridcolor | Set the grid color.
fillcolor | Set the model color.
Background color | Set the background color.
transparency | Specify the transparency of the model. Scrolled all the way to the left: model is opaque, scrolled to the right: model is completely transparent.
animation | Enable the model to rotate about the vertical axis
tumbel | Add second perpetual rotation at a fixed speed.
speed | Cursor in the middle: no rotation, clockwise rotation with increasing speed, scroll to the left. Counter-clockwise rotation with increasing speed, scroll to the right.
headlight | Enables the headlight, quasi a lamp shining plainly from the observer onto the model.
Focus angle | Scrolling to the left: close objects are drawn bigger than distant parts. Almost no difference between front and back if scrolled all the way to the right.
spotlights | Enable spotlights to let light come from an angle onto the model. This illumination creates nice reflection effects.
Spotlight 1 color | Select spotlight color for the lamp on bottom right.
Spotlight 2 color | Select spotlight color for the lamp on top left of the model.
brilliant | Add additional spotlights at fixed colors.
Crystallographic axes | Shows the directions of the crystallographic axes.
Axes style | Right click: Set the axes color. Left click: Select character font.
length | Scroll to change length of axes
Point group = -1 | Here, we see the currently selected point group symbol: -1 (say ‘bar one’)
8 Faces | That’s the number of faces of the model apparently.
12 Corners | The current model has 12 corners.
Surface = …. | The surface of the model in units of the central distance.
Volume = …. | The volume of the model in units of the central distance.
© Werner Kaminsky | This guy, that’s me, wrote the program. It is distributed mainly for educational purposes. I (Werner Kaminsky) hereby reject any responsibility for any damage or loss this program may cause.


VRML-Viewer GUIDE

The following sections contain the description of the VRML-Viewer main controls:

· The VRML-Viewer Window

· Navigating in VRML-Worlds

· Using VRML files in HTML documents

· Copyright

More:

The VRML-Viewer Window

Navigating in VRML-Worlds

Using VRML files in HTML documents

Copyright


The VRML-Viewer Window

With WinXMorph's VRML-Viewer you can see and explore 3D worlds. The Viewer will start automatically when you open a file containing VRML world. There are two parts of the Viewer:

1. Toolbar:

The vertical toolbar, which contains buttons used to specify navigation type in a world.

2. The 3D window, which shows VRML world.

The toolbar looks as follows, with options to select the navigation mode or the renderer for creating the image on the computer screen.

Tip: DirctX and OpenGl produce wrong images in transparent mode if ‘solid’ is unchecked! So, if you do check them, solid is checked as well.


Navigating in VRML-Worlds

Moving through a 3D Space is similar to moving a camera. Think of a video camera that captures images in the real world and converts them into electronic signals for viewing on a screen; it has a position and orientation, and these are independent attributes. Your movements in the world continually position and orient that camera. Use the navigate choices on the vertical toolbar to move the camera through the 3D Space.

This concept assumes that there is a real person viewing and interacting with the VRML world. Nevertheless, the VRML author may place any number of viewpoints (or cameras) in the world.

More:


Restore, and Fit

The VRML-Viewer provides two mechanisms that can help to re-orient a camera if you have lost your way in a world. Unlike the ‘Navigating in the ‘Viewer’ tool, these buttons invoke predefined actions that take place as you click on them.

Use RESTORE to automatically return to the loaded world's original active viewpoint.

Use FIT to make the scene view fully visible in the Cortona 3D window.


Using VRML files in HTML documents

Since about the year 2015 security of web browsers no longer allow to EMBED or use OBJECT code to display a VRML world in a Web browser. Below those methods are given as legacy examples. Instead, authors should use the html5 code x_ite found here:

https://create3000.github.io/x_ite/

More:


An example of using x_ite

The following code assumes that the model xxx.wrl is either together with the example website or the full url towards it is specified. The model will be drawn at a size of 250 x 250 pixels.

<!DOCTYPE html>

<html>

<head>

<meta charset="utf-8"/>

<link rel="stylesheet" type="text/css" href="https://create3000.github.io/code/x_ite/latest/dist/x_ite.css"/>

<script type="text/javascript" src="https://create3000.github.io/code/x_ite/latest/dist/x_ite.min.js"></script>

<style>

X3DCanvas {

width: 250px;

height: 250px;

}

</style>

</head>

<body>

<X3DCanvas src="xxx.wrl">

</body>

</html>


Legacy example of using EMBED

<EMBED
SRC="file.wrl"
WIDTH="300"
HEIGHT="300"
PLUGINSPACE="http://www.parallelgraphics.com/cortona"
VRML_DASHBOARD="FALSE"
VRML_BACKGROUND_COLOR="#000077"
CONTEXTMENU="FALSE"
MASK="0
0, 150 10, 300 0, 290 150, 300 300, 150 290, 0 300, 10 150">

where

· SRC specifies the name of the VRML scene to be loaded.

· PLUGINSPACE If the user doesn't have a plug-in installed to handle the defined object data type, then it is possible to guide the user to a different URL (the value of the PLUGINSPACE attribute) to provide instructions on installing the necessary plug-in module.

· VRML_DASHBOARD "TRUE" - turns on horizontal and vertical toolbars; "FALSE" - turns off.

· VRML_BACKGROUND_COLOR "#rrggbb" specifies the background color of the 3D window (hexadecimal).

· CONTEXTMENU "TRUE" - enables context menu in the 3D window; "FALSE" - disables.

· MASK allows specifying non-rectangle clipping region.


Legacy example of using OBJECT

<OBJECT
CLASSID="CLSID:86A88967-7A20-11d2-8EDA-00600818EDB1"
WIDTH="300"
HEIGHT="300">
<PARAM NAME="Scene" value="file.wrl">
</OBJECT>

where

· CLASSID identifies the Cortona ActiveX control for the browser. The value must be entered exactly as shown.

· WIDTH, HEIGHT standard formatting attributes.

· Scene specifies the name of the VRML scene to be loaded.

See Cortona SDK documentation for details on properties (http://www.parallelgraphics.com/cortonasdk).


Copyright

WinXMorph uses the Cortona Client from Parallel Graphics.

Copyright © 1998-2000 ParallelGraphics
WWW: www.parallelgraphics.com
support: support@parallelgraphics.com


VRML in Microsoft PowerPoint

Virtual reality objects are incredibly attractive when used to illustrate a presentation. Inserting a *.wrl file into a PowerPoint presentations requires following steps:

More:


Using a VRML-Control

You need to search for 'More Controls'.

To find this item, type into the search field on top of the powerpoint app

‘Show the Developer Tab’ and choose from ‘Get Help on ‘.

In the Help window click on ‘Take me there’ and select Customize Ribbon.

There, on the right, enable the ‘Developer’ tab.

Click on that tab and on the right bottom, click the wrench/driver button.

(This item in older PowerPoint versions is found in the Control Toolbox. You need to make it visible from ‘View/ Toolbars/Control Toolbox.’)

You may need to enable ‘Active X’ content, PowerPoint will lead you to the relevant settings.


Inserting a VRML model

When you have located that 'More Controls' Button, click it. It will open a list of controls. Scan down to locate the

Parallel Graphics Cortona Control

Click that control and click a second time on the open slide page.

You can move and resize the window that appears on the slide.

· Size the Cortona Window to extend the bottom of the presentation to make the Cortona Logo invisible


Setting the Control-Parameters

To edit the control, right-click on it and select properties. This opens the following panel:

Edit first the scene in clicking on the ... symbol on the right. Browse for your *.wrl file and open it.

· Important: The scene url is absolute and does not adjust when the presentation is moved.

· If the presentation is moved, the scene directories need to be updated for all models by hand from the settings one by one.

·

Further items to be edited:

Item | Explanation
BackColor | Define a background color
CPULoading | Choose amount of CPU time. 100% can basically bring your presentation to a standstill; 80% is o.k.
NavigationBar | Usually to be hidden in a presentation
NavigationMode | Try out what’s best for you
NavigationStyle | Try out what’s best for you
RendereName | Direct X is fastest, but it can crash PowerPoint
ShowLogo | Switch it off if you are not working for Parallel Graphics


Introduction into Crystallography/Morphology

More:

About the crystallography Tutorial

1. General remarks

2. Crystal forms and classes

3. The Cubic (Isometric) System

4. The Tetragonal System

5.The Orthorhombic System

6.The Trigonal / Hexagonal Systems

6.A The Hexagonal Division

6.B The Trigonal Division

7. The Monoclinic System

8. The Triclinic System

9. Conclusion and Further Reading


About the crystallography Tutorial

More:


source

source: http://www.rockhounds.com/rockshop/xtal/part1.html)

Introduction to Crystallography and Mineral Crystal Systems
in 9 parts, by Darcy Howard, artist and Mike Howard, author


The Authors

Mike Howard (jmichaelhoward@sbcglobal.net)

Mike has been a mineral collector for over 30 years, the last 22 of which he has been employed by the Arkansas Geological Commission as a geologist. Intrigued by crystal forms and how they relate to minerals and the stories they tell about mineral formation, he is most interested in crystallized specimens, particularly from Arkansas. He has worked on a variety of mineral-related projects in the state and especially enjoys leading field trips for college mineralogy classes to his favorite collecting spot -- Magnet Cove.

Darcy Howard (jmichaelhoward@sbcglobal.net)

Darcy is a scientific illustrator and commercial artist. Specializing in airbrush technique, she also works in electronic and traditional media. Darcy studied art and medicine, and is associated with geology by marriage. A former employee of both the medical profession and state government, she is now a freelance work-at-home mom who designs and produces the Geology Collector's Series T Shirts under the Friend of the World (tm) tag line and philosophy

The Editor’s Comments

Some minor changes have been implemented and the text has been adapted to suit a help file environment


1. General remarks

Crystallography is a fascinating division of the entire study of mineralogy. Even the non-collector may have an appreciation for large well-developed beautifully symmetrical individual crystals, like those of pyrite from Spain, and groups of crystals, such as quartz from Arkansas or tourmaline from California, because they are esthetically pleasing. To think that such crystals come from the ground "as is" is surprising to many. The layperson simply hasn't had the opportunity to learn about crystals and why they are the way they are; however, neither have many rock hounds and hobbyists.

We hope to bring you to a greater appreciation of natural mineral crystals and their forms by giving you some background and understanding into the world of crystallography. CRYSTALLOGRAPHY is simply a fancy word meaning "the study of crystals". At one time the word crystal referred only to quartz crystal, but has taken on a broader definition, which includes all minerals with well-expressed crystal shapes.

Crystallography may be studied on many levels, but no matter how elementary or in-depth a discussion of the topic we have, we confront some geometry. Oh no, a nasty 8-letter word! Solid geometry, no less. But stop and think about it, you use geometry every day, whether you hang sheetrock, pour concrete, deliver the mail, or work on a computer. You just don't think of it as geometry. Geometry simply deals with spatial relationships. Those relationships you are familiar with are not intimidating. The key word here is "familiar". We want this series of articles to help you become more familiar, and, therefore more comfortable, with the geometry involved with the study of crystal forms.

Crystallography is easily divided into 3 sections -- geometrical, physical, and chemical. The latter two involve the relationships of the crystal form (geometrical) upon the physical and chemical properties of any given mineral. We will cover the most significant geometric aspects of crystallography and leave the other topics for later. We do not intend for this series to be a replacement for a mineralogy textbook, but instead an introduction to the study of crystallography. During and after reading these articles, you will probably want to examine one or two textbooks for more detail about individual subjects. I recommend two: Klein and Hurlbut's Manual of Mineralogy (20th edition, 1985) and Ford's Textbook of Mineralogy (4th edition, 1932). Both of these are based on E. S. Dana's earlier classic publications.

In any type of study, there exist special words used to summarize entire concepts. This is the special language of the "expert", whether you speak of electrical engineering, computer science, accounting, or crystallography. There's no real way to get around learning some of these basic definitions and "laws" so we might as well jump right into them. Get Ready!

More:

What is a crystal

First thoughts about Crystallographic systems

The magic `seven'

History of Miller indices

Miller indices examples

Elements of symmetry

Symmetry Axes

Inversion axes

Axes of rotary inversion

`Bar 4' Example

Schematic representation of symmetry

Crystallographic symmetry


What is a crystal

First, let's define what we're dealing with. A CRYSTAL is a regular polyhedral form, bounded by smooth faces, which is assumed by a chemical compound, due to the action of its interatomic forces, when passing, under suitable conditions, from the state of a liquid or gas to that of a solid.

(Editors comment: the International Union of Crystallography, IUCr extended the definition into objects that exhibit distinct intensity patterns when studied with X-rays. With this definition, quasi-crystals are included into the world of crystallography)

WOW, what a mouthful! Let's dissect that statement. A polyhedral form simply means a solid bounded by flat planes (we call these flat planes CRYSTAL FACES). "A chemical compound" tells us that all minerals are chemicals, just formed by and found in nature. The last half of the definition tells us that a crystal normally forms during the change of matter from liquid or gas to the solid state. In the liquid and gaseous state of any compound, the atomic forces that bind the mass together in the solid state are not present. Therefore, we must first crystallize the compound before we can study its geometry. Liquids and gases take on the shape of their container, solids take on one of several regular geometric forms. These forms may be subdivided, using geometry, into seven systems.

But before we can begin to discuss the individual systems and their variations, let's address several other topics, which we will use to describe the crystal systems. There's also some laws and rules we must learn.

Way back in 1669, Nicholas Steno, a Danish physician and natural scientist, discovered one of these laws. By examination of numerous specimens of the same mineral, he found that, when measured at the same temperature, the angles between similar crystal faces remain constant regardless of the size or the shape of the crystal. So whether the crystal grew under ideal conditions or not, if you compare the angles between corresponding faces on various crystals of the same mineral, the angle remains the same.

Although he did not know why this was true (x-rays had not yet been discovered, much less x-ray diffractometry invented), we now know that this is so because studies of the atomic structure of any mineral proves that the structure remains within a close set of given limits or geometric relationships. If it doesn't, then by the modern definition of a mineral, we are not comparing the same two minerals. We might be comparing polymorphs, but certainly not the same mineral! (Polymorphs being minerals with the same chemistry, like diamond and graphite or sphalerite and wurtzite, but having differing atomic structure and, therefore, crystallizing in different crystal systems) Steno's law is called the CONSTANCY OF INTERFACIAL ANGLES and, like other laws of physics and chemistry, we just can't get away from it.

Now, some of you may be thinking: I have a mineral crystal that does not match the pictures in the mineral books. What you may have is a distorted crystal form where some faces may be extremely subordinate or even missing. Distorted crystals are common and result from less-than-ideal growth conditions or even breakage and recrystallization of the mineral. However, remember that we must also be comparing the angles between similar faces. If the faces are not present, then you cannot compare them. With many crystals we are dealing with a final shape determined by forces other than those of the interatomic bonding.


First thoughts about Crystallographic systems

During the process of crystallization in the proper environment, crystals assume various geometric shapes dependent on the ordering of their atomic structure and the physical and chemical conditions under which they grow. If there is a predominant direction or plane in which the mineral forms, different habits prevail. Thus, galena often forms equate shapes (cubes or octahedrons), quartz typically is prismatic, and barite tabular.

To discuss the seven crystal systems, we have to establish some understanding of solid geometry. To do this, we will define and describe what are called CRYSTALLOGRAPHIC AXES. Since we are dealing with 3 dimensions, we must have 3 axes and, for the initial discussion, let's make them all equal and at right angles to each other. This is the simplest case to consider. The axes pass through the center of the crystal and, by using them, we can describe the intersection of any given face with these 3 axes.

Mineralogists had to decide what to call each of these axes and what their orientation in each crystal was so that everyone was talking the same language. Many different systems arose in the early literature. Then, as certain systems were found to have problems, some were abandoned until we arrived at the notational system used today. There exist two of these presently in use, complimentary to each other. One uses number notation to indicate forms or individual faces and the other uses letters to indicate forms. But let's get back to our 3 axes and we'll discuss these two systems later.

We are going to draw each axis on a sheet of paper and describe its orientation. All you need for this exercise is a pencil and paper. Make the first axis vertical, and we'll call it the c axis. The top is the + end and the bottom is the - end. The second axis, the b axis, is horizontal and passes through the center of the c axis. It is the same length as the c axis. The right end is the +, and the left is the -. The third axis is the a axis and passes at a right angle through the join of the b and c axes.

It is somewhat tricky to draw because, even though the a axis is the same length as the c and b axes, because it goes from front to back it appears shorter. It is hard to represent a 3-dimensional figure on the 2-dimensional surface of paper, but you can do it. You have to use a sense of perspective, as an artist would say. The front end of a, which appears to come out of the paper, is the + and the back end the - (appears to be in the background or behind the paper).

This all sounds complicated, but look at Figure 1 if you are having problems with drawing the final axis. We always refer to the axes in the order - a, b, c in any type of notation. The point of intersection of the three axes is called the AXIAL CROSS.

Perspective is a key to drawing 3 dimensional objects on a flat 2D piece of paper. Perspective is what makes railroad tracks look like they come together in the distance. It is also what causes optical illusions when trying to draw axial crosses, or line drawings of crystal models. Perhaps you've looked at these lines and tried to decide which one comes forward, and which one recedes, and then have the illusion flip-flop so that it looks the other way. That's why they are labeled + and -. It can be confusing; so don't feel like the lone ranger.


The magic `seven'

The magic ‘seven’

We have now reached the point in our discussion that we can actually mention the seven large groups or crystal systems that all crystal forms may be placed in. We will use our crystallographic axes, which we just discussed to subdivide all known minerals into these systems. The systems are:

(1) CUBIC (aka ISOMETRIC) - The three crystallographic axes are all equal in length and intersect at right angles (90 degrees) to each other. This is exactly what you drew to obtain Figure 1. However, we now will rename the axes a1, a2, and a3 because they are the same length (a becomes a1, b becomes a2, and c becomes a3).

(2) TETRAGONAL - Three axes, all at right angles, two of which are equal in length (a and b) and one (c) which is different in length (shorter or longer). Note: If c was equal in length to a or b, then we would be in the cubic system! Discussed in part 4.

(3) ORTHORHOMBIC - Three axes, all at right angles, and all three of different lengths. Note: If any axis was of equal length to any other, then we would be in the tetragonal system! Discussed in part 5.

(4) HEXAGONAL - Four axes! We must define this situation since it cannot be derived from our Figure 1. Three of the axes fall in the same plane and intersect at the axial cross at 120 degrees between the positive ends. These 3 axes, labeled a1, a2, and a3, are the same length. The fourth axis, termed c, may be longer or shorter than the a axes set. The c axis also passes through the intersection of the a axes set at right angle to the plane formed by the a set.

Look at Figure 2 to see these relationships more clearly. Discussed in part 6.

(5) TRIGONAL-RHOMBOHEDRAL Very similar to (4), however, when three crystallographic axes of same length as in the cubic system have a non orthogonal angle between them and only one such angle, we get the rhombohedral symmetry.

(6) MONOCLINIC - Three axes, all unequal in length, two of which (a and c) intersect at an oblique angle (not 90 degrees); the third axis (b) is perpendicular to the other two axes. Note: If a and c crossed at 90 degrees, then we would be in the orthorhombic system! Discussed in part 7.

(7) TRICLINIC - The three axes are all unequal in length and intersect at three different angles (any angle but 90 degrees). Note: If any two axes crossed at 90 degrees, then we would be describing a monoclinic crystal! Discussed in part 8.

As was stated earlier, all known crystal forms fit into the above seven crystal systems. But why don't all crystals in a given set look the same? Or, stated differently, why can't I learn seven crystal shapes and know all I need to know? Well, crystals, even of the same mineral, have differing CRYSTAL FORMS, depending upon their conditions of growth. Whether they grew rapidly or slowly, under constant or fluctuating conditions of temperature and pressure, or from highly variable or remarkably uniform fluids or melts, all these factors have their influence on the resultant crystal shapes, even when not considering other controls.


History of Miller indices

We must touch on a type of notation often seen in mineral literature known as Miller Indices. Before William H. Miller (1801-1880) devised this mathematical system for describing any crystal face or group of similar faces (forms), there existed a considerable amount of confusion due to the many different descriptive systems. Some of these systems used letter symbols to denote crystal faces and forms. Also different mineralogical "schools" existed as to how a given crystal should be viewed or oriented before assigning the crystallographic axes and then describing the various faces and forms present. If you were of the German school, you had one view; from the English school another thought; from the French school, still another opinion.

So the problem was really one of how to bring order to the literature's chaos. To the problem, Miller (University of Cambridge) applied relatively simple mathematics - the Universal Language. To the lettering systems, Miller described the a,b,c (for hexagonal crystals his notation is four numbers long) intercepts of each planar crystal form as numbers and also made note of the form letter. His numbering system became widely accepted and is known as Miller indices. The numbers are presented as whole numbers (fractions are not allowed) and are the reciprocal of the actual intercept number, all whole numbers being reduced by their lowest common denominator. Here are a couple of simple examples from the cubic system.


Miller indices examples

Let us first describe a face of an octahedron and later a cube using Miller's indices. First, we should realize that an octahedron is an eight-sided crystal form that is the simple repetition of an equilateral triangle about our 3 crystallographic axes. The triangle is oriented so that it crosses the a1, a2, and a3 axes all at the same distance from the axial cross. This unit distance is given as 1. Dividing 1 into the whole number 1 (it's a reciprocal, remember?) yields a value of 1 for each Miller number. So the Miller indices are (111) for the face that intercepts the positive end of each of the 3 axes. See Figure 3 for all possible numbers for the 8 faces. Note: A bar over the number tells me that the intercept was across the negative end of the particular crystallographic axis. The octahedral form is given the letter designation of "o".

Now to the cube face. A cube face that intercepts the a3 (vertical) axis on the + end will not intercept the a1 and a2 axes. If the face does not intercept an axis, then we assign a mathematical value of infinity to it. So we start with Infinity, Infinity, 1 (a1, a2, a3). Infinity divided into 0 = 0 (any number divided into zero equals zero). So the Miller indices of the +a3 intercept face equals (001). See the drawing for all possible Miller indices for the 6 faces of a cube (Figure 4).

I think we should briefly mention cleavage at this point. CLEAVAGE is the preferred planar direction of breakage that many minerals possess. It is due to planes of weakness that exist in some minerals because the bonding strength between the atoms or molecules is not the same in every direction. Because crystals are composed of orderly arrangements of atoms or molecules, we really should expect cleavage to be present in many crystals. The notation that denotes cleavage is derived in much the same manner as Miller indices, but is expressed in braces. So a cubic crystal, say diamond, no matter whether it exhibits cubic {001} or octahedral {111} crystal form, has an octahedral cleavage form that is given as {111}.

Note: The Miller indices when used as face symbols are enclosed in parentheses, as the (111) face for example. Form symbols are enclosed in braces, as the {111} form for example. Zone symbols are enclosed in brackets, [111] for example and denote a zone axis in the crystal. So in the discussion of cleavage (above), you must use braces to denote cleavage. Cleavage is analogous to form as cubic, octahedral, or pinacoidal cleavage and does not refer to just one face of a form.


Elements of symmetry

Now we are ready to discuss ELEMENTS OF SYMMETRY. These include PLANES OF SYMMETRY, AXES OF SYMMETRY, and CENTER OF SYMMETRY. These symmetry elements may be or may not be combined in the same crystal. Indeed, we will find that one crystal class or system has only one of these elements!

Huh? These parts, when put together, make the planes in figure 6.

Any two-dimensional surface (we can call it flat) that, when passed through the center of the crystal, divides it into two symmetrical parts that are MIRROR IMAGES is a PLANE OF SYMMETRY. I repeat: any plane of symmetry divides the crystal form into two mirror images. Planes of symmetry are often referred to as mirror image planes. Let's discuss a cube again. A cube has 9 planes of symmetry, 3 of one set and 6 of another. We must use two figures to easily recognize all of them.

In Figure 5 the planes of symmetry are parallel to the faces of the cube form, in Figure 6 the planes of symmetry join the opposite cube edges. The second set corresponds to the octahedral crystal form. Planes of symmetry are always possible crystal forms. This means that, although not always present on many natural crystals, there exists the possibility that other crystal faces may be expressed. So even though a cube form does not present an octahedral face, it is always possible that it could have formed under the right conditions.

The typical human has two hands, right and left. Place them together palms facing away from you and the tips of the thumbs touching. Assuming that you have the same number of fingers on each hand, you will note that your right hand is the mirror image of your left and vise versa. The average person is symmetrical, having binary symmetry vertically from the head to the feet when viewed from the front or back (bilateral symmetry).

You can have a lot of laughs with friends and a long mirror using this symmetry element. You need at least one other person to do this so you both can view the results! Using Figures 5 and 6 as guides, take a wood or plastic cube and see if you can draw with a marker all the planes of symmetry that are present. Refer to the two figures for help.

It is sometimes convenient to designate planes of symmetry as axial, diagonal, principle, or intermediate. Figure 7 is an example of the 5 planes of symmetry of the tetragonal system and the proper abbreviated notation.


Symmetry Axes

AXES OF SYMMETRY can be rather confusing at first, but let's have a go at them anyway. Any line through the center of the crystal around which the crystal may be rotated so that after a definite angular revolution the crystal form appears the same as before is termed an axis of symmetry. Depending on the amount or degrees of rotation necessary, four types of axes of symmetry are possible when you are considering crystallography (some textbooks list five). Given below are all possible rotational axes:

When rotation repeats form every 60 degrees, then we have six fold or HEXAGONAL SYMMETRY. A filled hexagon symbol is noted on the rotational axis.

When rotation repeats form every 90 degrees, then we have fourfold or TETRAGONAL SYMMETRY. A filled square is noted on the rotational axis.

When rotation repeats form every 120 degrees, then we have threefold or TRIGONAL SYMMETRY. A filled equilateral triangle is noted on the rotational axis.

When rotation repeats form every 180 degrees, then we have twofold or BINARY SYMMETRY. A filled oval is noted on the rotational axis.

When rotation repeats form every 360 degrees, then we use a filled circle as notation. This one I consider optional to list as almost any object has this symmetry. If you really want to know the truth, this means NO SYMMETRY!!


Inversion axes

Note that rotational axes may be on the plane of the face, on the edge of where two faces meet, or on the point of conjunction of three or more faces. On a complete crystal form, the axis must pass through the center of the crystal and exist at the equivalent site on the opposite side of the crystal as it entered.

Take a solid cube, made of wood or plastic (a clear plastic cube box works well for this exercise). Mark, using the rotational notation, every four-, three-, and two-fold axis of rotation that you can find. I think you will be surprised how many there are! Examine Figure 8 (the cube from Hades!) to see how many symbols you can draw on your cube.


Axes of rotary inversion

Now I'm sorry that this is not all there is to rotational axes, but there is another situation that we must consider -- AXES OF ROTARY INVERSION. This is where the twisted mind has one up on the rest of us (there's a pun in there somewhere!). We will consider a couple of simple examples.


`Bar 4' Example

‘Bar 4’ Example

Fig 9b: Wooden or plastic models are known in a mineralogy class as 'idiot blocks'.

Fig 9c

Fig 9d: Block rotated 90 degrees around the axis shown by the dot

Fig 9e: Block rotated counterclockwise 180 degrees on the axis shown by the arrow.

First, let's examine a crystal as drawn in Figure 9a at left. Use a piece of "2 by 2" board and make this crystal form by cutting off the ends so the wood block looks like the drawing. Hold the block in your left hand with your thumb on the top and in the center of the 2-face edge join (long axis) and your index finger on the same join on the underside. Your palm will be toward your body. Align your two fingers so that you are looking straight down on your thumb and cannot see end of your index finger. The top of the block will appear as 2 equal-sized faces, sloping away from you. If you rotate the block 180 degrees, the faces will be appear back in the same position (2-fold axis of rotation), but here's the tricky part -- rotate the specimen 90 degrees and then turn your wrist where your index finger is on top (easiest done by turning your wrist counterclockwise). You will see that the block's faces appear in the original position in the original position. You have discovered an axis of rotary inversion! Fig 9b: Wooden or plastic models are known in a mineralogy class as 'idiot blocks’. See the series of photos (Figures 9 b-9 e) if you get confused. Some textbooks term these axes rotary reflection axes or rotoinversion axes. There may be 1-, 2-, 3-, 4-, and 6-fold rotary inversion axes present in natural crystal forms, depending upon the crystal system we are discussing. I refer you to Klein and Hurlbut's Manual of Mineralogy (after J. S. Dana) if you want to sharpen your axes of rotary inversion skills. With axes of rotation, there is a graphical notation used which looks like a very bold typeface comma. For axes of rotary inversion, the same symbol is used, but appears dashed.


Schematic representation of symmetry

Both types of symmetrical rotational axes (discussed above) are commonly plotted on a circle (representing the complete cycle of one 360 degree rotation). The simple axes of rotation symbol for a face is plotted at the center of the circle and the axes of rotation and rotary inversion are plotted on the circle's boundary at whatever rotational angle is appropriate. See Figure 10 for examples.

We have finally come to our last topic of geometric crystallography -- the CENTER OF SYMMETRY. Most crystals have a center of symmetry, even though they may not possess either planes of symmetry or axes of symmetry. Triclinic crystals usually only have a center of symmetry. If you can pass an imaginary line from the surface of a crystal face through the center of the crystal (the axial cross) and it intersects a similar point on a face equidistance from the center, then the crystal has a center of symmetry. We may discuss this in a little more detail in the article about the triclinic system.


Crystallographic symmetry

We now have to consider the relation of geometrical symmetry to CRYSTALLOGRAPHIC SYMMETRY. The crystal face arrangement symmetry of any given crystal is simply an expression of the internal atomic structure. This internal structure is generally alike in any parallel direction. But we must keep in mind that the relative size of a given face is of no importance, only the angular relationship or position to other given crystal faces. Refer back to Steno's law concerning the CONSTANCY OF INTERFACIAL ANGLES.

Let's consider a crystal in the cubic system with both cube {001} and octahedral {111} forms represented (Figure 11). In our figure, we have used the letter designation of -a- for the cube faces and -o- for the octahedral faces. Despite the initial observation that both the various cube and octahedral faces are unequal in size, the example displays all the symmetry elements and relationships of a crystal from the cubic system. I hope you now begin to grasp the difficulty of learning crystallography using natural crystals. Due to a variety of factors, many natural crystals have some degree of distortion to their growth, causing the faces to vary in size and sometimes shape. In college mineralogy, this problem was resolved by requiring the classroom use of a set of crystal forms, sometimes made of wood or plastic. These sets were not-so-fondly termed "idiot blocks" by exasperated students. Once you mastered the various forms and understood symmetry planes, rotational axes, and form names, then you became recognized as a "complete idiot" and could go on to examine real minerals!

Depending upon what elements of symmetry are present, all crystals may be divided into 32 distinct groups called CLASSES OF SYMMETRY. Remember, we concern ourselves with the symmetry elements we learned above, not the malformed crystal shapes of most minerals. Only forms that belong to the same class can occur in combination together in nature. We cannot find a cube face on a hexagonal crystal. Likewise, we will never discover the rhombic dipyramid termination of a hexagonal crystal on a tetragonal crystal. So our laws, rules, and symmetry elements previously discussed prevent chaos in our beautifully symmetrical world of crystallography. Certainly, when dealing with real crystals, distortion problems can arise! Think of capillary pyrite. Here you have a cubic crystal, which, due to a growth phenomenon, has one axis nearing infinity in length in relation to the other two. But this is caused by special conditions during growth, not the crystallography.

There are graphical methods of plotting all possible crystal faces and symmetry elements on a type of diagram called a stereo net. Stereo nets give a way to represent three-dimensional data on a two-dimensional surface (a flat sheet of paper). A discussion of stereo nets is out of the scope of this paper because to present it adequately would require much graphing, mathematics, and that each reader possesses stereo-net paper. If you wish to attempt any exercises with stereo nets, I refer you to the previously mentioned textbooks. You can purchase the graph paper at most major college and university bookstores.


2. Crystal forms and classes

More:


Introduction into crystal forms

Let's discuss CRYSTAL FORMS and the 32 SYMMETRY CLASSES! Classes are used in the same context as point symmetry. We must begin with some definitions. Unfortunately, the term "form" is loosely used by many people to indicate outward appearance. However, we must "tighten up" our definition when discussing crystallography. HABIT is the correct term to indicate outward appearance. Habit, when applied to natural crystals and minerals, includes such descriptive terms as tabular, equidimensional, acicular, massive, reniform, drusy, and encrusting.

Drusy Quartz in Geode

Tabular Orthoclase Feldspar

Encrusting Smithsonite

As a crystallographer, I use "form" with a more restricted meaning. A FORM is a group of crystal faces, all having the same relationship to the elements of symmetry of a given crystal system. These crystal faces display the same physical and chemical properties because the ATOMIC ARRANGEMENT (internal geometrical relationships) of the atoms composing them is the SAME. The relationship between form and the elements of symmetry is an important one to grasp, because no matter how distorted a natural crystal may be, certain key elements will be recognizable to help the student discern what form or forms are present. The term general form has specific meaning in crystallography. In each crystal class, there is a form in which the faces intersect each crytallographic axes at different lengths. This is the general form {hkl} and is the name for each of the 32 classes (hexoctahedral class of the isometric system, for example). All other forms are called special forms.

Let's look at an octahedron as an example. All the crystal faces present are the expression of the repetition of a single form having the Miller indices of {111} about the three crystallographic axes. Each face on a natural crystal (octahedral galena or fluorite are examples), when rotated to the position of the (111) face in the drawing, would have the same shape and orientation of striations, growth pits or stair steps, and etch pits, if present. The presence of these features is true whether or not the crystal is well formed or distorted in its growth. Note that I did NOT state that the faces are necessarily the same size on the natural crystal!

In fact, due to variations in growth conditions, the faces are usually not. In the literature, you may see a notation, given as {hkl}. This is the notation, presented as Miller indices for general form. The octahedral form is given as {111}, the same as the face that intersects all positive ends of the crystallographic axes. A single form may show closure, as with an octahedron, or may not, as in a pinacoid (an open two-faced form). So every form has an {hkl} notation. In the case of general notation concerning the hexagonal system, it is {hk-il} and is read as "h, k, minus i, l". Index i equals h+k.

Before leaving this discussion of form, here are a couple of examples of how knowledge of the interrelationships of forms and crystal systems may be used. Someone gives you a quartz crystal and says, "Look at this crystal. It's not normal." Normal to this person, we assume means an elongate (prismatic), 6-sided crystal form with a 6-faced termination on the free-growth end. When you examine the "abnormal" crystal, it is highly distorted, broken, and has regrowth faces. Prism faces on quartz crystals almost always have striations at right angles to the c crystallographic axis and parallel to the plane of the a1, a2, and a3 axes. These striations are due to the variable growth rates of the terminal faces as the mineral crystallized. Knowing about the striations and their orientation, you examine the surface of the specimen and, with reflected light, find the prism faces by their striations.

Terminal (or pyramidal) faces on quartz crystals often exhibit triangular pits or platforms. By finding them, you can then determine if any other faces that would be really unusual are present. Not finding any unusual faces, you can return the specimen to the person with the comment, "Well, your crystal is certainly interesting, but it does not have any unusual forms. What it does display is a complex growth history reflected by its less than ideal crystal shape."

Most people and many collectors recognize unusual habits, but not unusual forms. They note that the shape of a crystal is odd looking, but don't have the background in crystallography to know if the crystal is truly unusual. A broken and regrown quartz crystal is not particularly special, but a quartz crystal with a c pinacoidal termination is worth noting, as it is a very uncommon form for quartz. I have only seen a few from one locality. Being the skeptic that I am, I purchased one crystal, which had another mineral coating the termination. I mechanically removed the coating mineral with the edge of a pocketknife. There for my examination was the c pinacoid termination {0001}, satisfying me that it was a natural growth form! A crystal's form may be completely described by use of the Miller's indices and the Hermann-Mauguin notation of its POINT GROUP SYMMETRY. The latter notation tells us how to orient the crystal, in each specific crystal class, to recognize which axis (a, b, or c) is designated as having the highest symmetry. It also tells us what other symmetry elements may be present and where they are in orientation to the other elements.

I hope I haven't LOST you here. When considering all the literature written about this subject, sometimes I even feel like I'm rotating on one symmetry axis and not really getting anywhere! Point group symmetry is too complicated to get into in this discussion, so I refer you to Klein and Hurlbut's Manual of Mineralogy for detailed information. However, I will discuss some pertinent portions of point group symmetry under each crystallographic class and introduce its notation for selected crystal forms in each crystal-system article.


Types of Crystal Forms

Note that there are TWO GENERAL TYPES OF FORMS: those that by repetition close on themselves creating a complete form (termed closed) and those that do not (termed open).

Now for the BAD NEWS. Every form has a name and there are many of them.

The GOOD NEWS is that you already know a few of them, particularly some of the closed forms because we have been using them in our previous discussions. The cube and octahedron are examples. There are 32 (some say 33) forms in the nonisometric (noncubic) crystal systems and another 15 forms in the isometric (cubic) system. Let's start to familiarize ourselves with them by making tabulation and including the number of faces (below). I begin the listing with the isometric forms first, all of them being closed forms.

Now you know why mineralogy students hate idiot blocks! It is important to note that these are simply the possible INDIVIDUAL FORMS, not the combinations of forms seen on a single natural crystal.

Pyrite is a common mineral, which often exhibits several forms on a single crystal. One form is usually dominant, presenting the largest faces on the crystal. Peruvian pyrite commonly has cubic, octahedral, and dodecahedral forms on a single crystal; sometimes even pyritohedral and diploid faces may be present. Any of these individual forms may be the dominant one. Crystals with the same forms present, but with different dominant forms will each appear very different (fig. 2.4). As we explore each crystal system, there will be illustrations displaying most of the ideal forms and some drawings showing combinations of forms often exhibited by individual mineral crystals.


3. The Cubic (Isometric) System

Now that you have read the two previous articles, you are ready to consider the first of our 7 crystal systems. So let's begin.

There are 15 forms, all closed, in the ISOMETRIC CRYSTAL SYSTEM-- more than in any other single system we will examine. You may wish to briefly refer back to the first article in this series, when we built an axial cross. In the isometric system, all 3 crystallographic axes are at right angles to each other and are the same length. The axes are renamed a1, a2, and a3. We need to remember that a3 is vertical, a2 is horizontal, and a1 is front to back.

Crystal forms in the isometric system have the highest degree of SYMMETRY, when compared to all the other crystal systems. Did you know that there is only ONE object in the geometrical universe with perfect symmetry? Consider the sphere (fig. 3.1). Infinite planes of symmetry pass through its center, infinite rotational axes are present, and no matter how little or much you rotate it on any of its infinite number of axes, it appears the same! A sphere is the HOLY GRAIL of symmetry!!

No crystal system even approaches a sphere's degree of symmetry, but the isometric system is often quickly recognizable because some of the forms and combinations of forms somewhat approach sphericity (or, at least, roundness), especially when the faces begin to be curved, due to the high degree of symmetry in the isometric system.

Let's begin by looking at the Hermann-Mauguin notation for the first seven isometric forms and each form's notation:

Cube {001}

Dodecahedron {011}

Trapezohedron {hhl}

Octahedron {111}

Tetrahexahedron {0kl}

Hexoctahedron {hkl}

Trisoctahedron {hll}

For these forms, the 3 crystallographic axes are axes of 4-fold rotation. There are also 4 diagonal axes of 3-fold rotary inversion that pass through the form at the point where the cube's 3 faces would join. Furthermore, there are 6 directions of 2-fold symmetry (at the center of the line formed by the intersection of 2 planes). There is also a center of symmetry. There are 9 mirror planes (see figs. 1.5 and 1.6 in first article in this series). This combination of symmetry elements defines the highest possible symmetry of crystals. So the Hermann-Mauguin notation is 4/m-32/m (abbriviated to 4/m 3, because these symmetry operations will generate all others).

In a textbook, my notation (-3) is presented as the number 3 with a negative sign above it, but due to computers and web browsers, I can't place this special notation properly in cyberspace, so don't get confused if you look this up in a mineralogy book! It should be pronounced as "negative 3" or "bar3". In this instance, the -3 is the notation for the 3-fold axis of rotary inversion. I will consistently use the negative sign before the number when it is necessary. The same stands true for my notation when dealing with Miller indices or general form notation.

Crystallographers group forms by their symmetry notation, the first seven we will consider have the same symmetry - 4/m-32/m.

More:

CUBE

OCTAHEDRON

DODECAHEDRON

TETRAHEXAHEDRON

TRAPEZOHEDRON

TRISOCTAHEDRON

HEXOCTAHEDRON

TETRAHEDRON

TRISTETRAHEDRON

HEXTETRAHEDRON

DELTOID DODECAHEDRON

GYROID

PYRITOHEDRON

DIPLOID

TETARTOID


CUBE

The cube is composed of 6 square faces at 90-degree angles to each other. Each face intersects one of the crystallographic axes and is parallel to the other two (fig. 3.2). This form, {001}, is one of the easiest to recognize and many minerals display it with little modification. Think of galena, pyrite, fluorite, perovskite, or halite cubes!


OCTAHEDRON

The octahedron is a form composed of 8 equilateral triangles. These triangle-shaped faces intersect all 3 crystallographic axes at the same distance, thus the form notation of {111} (fig. 3.3). Minerals commonly exhibiting the simple octahedral form are magnetite, chromite, franklinite, spinel, pyrochlore, cuprite, gold, and diamond. Sometimes fluorite, pyrite, and galena take this form.


DODECAHEDRON

(AKA Rhombic Dodecahedron) -- This form is composed of 12 rhomb-shaped faces (fig. 3.4). Each of these rhomb-shaped faces intersects two of the axes at equidistance and is parallel to the 3rd axis, thus the notation {011}. The different mineral species of the garnet group often display this form. Magnetite and sodalite sometimes exhibit this form.


TETRAHEXAHEDRON

This form has 24 isoceles triangular faces. The easiest way to understand its shape is to envision a cube that on each face has 4 equal-sized triangular faces (fig. 3.5) that have been raised from the center of the cube face. Each triangular face has its base attached to the edge of the cube and the apex of the two equal-length sides rises to meet the 4-fold axis. Because of the variation of inclination to this axis, there exists a number of possible tetrahexahedral forms, but all meet the general notation of {0hl}.

The most common form is {012}. It is interesting to note that as the combination of each set of 4 faces rise along the axis, this form approaches the dodecahedron. As they fall, the form approaches a cube. The tetrahexahedron is rarely the dominant form on natural crystals, instead being subordinant to the cube, octahedron or dodecahedron (fig. 3.6). Cubic minerals on which you may sometimes see this form exhibited include fluorite (cube and tetrahexahedron), magnetite or copper (octahedron and tetrahexahedron) and garnet (dodecahedron and tetrahexahedron).


TRAPEZOHEDRON

(AKA Tetragon-trioctahedron) -- This form has 24 similar trapezium-shaped faces. If my Webster's is correct, a trapezium is a 4-sided plane that has no sides parallel. Each of these aces intersects a crystallographic axis at a unit distance and the other two axes at equal distances, but those intersections must be greater than the unit distance. It sounds pretty complicated, but see the drawing (fig. 3.7). Because there may be various intercepts distances on the two axes, the form symbol {hhl} in general is used. The most common mineral form is {112}. Two silicate minerals, analcime and leucite, usually crystallize as simple trapezohedrons. This form is not uncommon, varying from dominant to subordinate, on many varieties of garnet, where it is often combined with the dodecahedron (fig. 3.8).


TRISOCTAHEDRON

(AKA Trigonal Trisoctahedron ) -- This is another 24-faced form, but the faces are isoceles triangles. Each face intersects two crystallographic axes at unity, and the third axes at some multiple of unity; hence the form notation in general of {hll}.

To more easily visualize what a trisoctahedron looks like, first think of an octahedron. Each octahedral face is divided into 3 isoceles triangles by drawing 3 lines, each originating at the center of the octahedral face and reaching the 3 corners of that face. Repeat this operation for the remaining 7 faces on an octahedron and you have a trisoctahedron (fig. 3.9). As a dominant form, the trisoctahedron is scarce, most commonly being reported for diamond, usually as a subordinant form (fig. 3.10).

It has recently been demonstrated that trisoctahedral diamond is probably not a true crystal form (true crystal forms are growth forms), but instead a solution form caused by the differential dissolving of octahedral diamond during its transport from the mantle to the crust, but that's another story altogether! As a subordinant form, it has been reported in combination with the octahedron for fluorite and magnetite and in combination with cube and octahedron on complex crystals of galena.


HEXOCTAHEDRON

This form has 48 triangular faces, 6 faces appearing to be raised from each face of a simple octahedron. These may be envisioned by drawing a line from the center of each of the 3 edges of an octahedral face, through the face center to the opposite corner. Repeat this for the remaining 7 faces of an octahedron and you have a hexoctahedron (fig. 3.11).

Just like the trisoctahedral form, this form is most often seen on diamond, where it is thought to represent a solution form derived from an octahedron, not true crystallization. With both the tris- and hexoctahedron, the faces are often curved, resulting in a near spherical shape. The combination of dominant dodecahedron and subordinant hexoctahedron is not uncommon for garnet (fig. 3.12)

We have 8 remaining forms in the isometric system to consider. The next 4 have the Hermann-Mauguin notation of -43m (abbriviated –43). These are the tetrahedron, tristetrahedron, deltoid dodecahedron, and hextetrahedron.


TETRAHEDRON

The tetrahedron includes both a positive and negative form with the notation {111} and {1-11}, respectively. These are simple mirror images of one another. A tetrahedron is a 4-faced form, each face being an equilateral triangle.

Each face intersects all 3 crystallographic axes at the same distance. You may derive this form from an octahedron by extending alternate faces until they meet (this also shrinks the opposing set of alternate faces until they disappear).

Figure 3.13 displays the orientation of the tetrahedral form in relation to the cube. We aren't just speculating that both the positive and negative forms exist because they are often seen together (fig. 3.14) on a single crystal!

If both positive and negative forms are equal sized on a single crystal, then the initial appearance of the crystal form is INDISTINGUISHABLE from an octahedron. Here is where the differences in and orientation of surface features become exceedingly important in form study. One mineral so commonly has this crystal form that the mineral was named after the form itself - tetrahedrite. Other examples are diamond, helvite, and sphalerite.


TRISTETRAHEDRON

3.15 -

By now, I think you might be able to tell me from my previous examples how to derive this form. Yep, take a tetrahedron and raise 3 isoceles triangle-shaped faces on each of the 4 tetrahedral faces. So this form has 12 triangular faces (fig. 3.15).

Just like the tetrahedron, there are both positive and negative forms, designated as {hhl} and {h-hl}, respectively. This is only a relatively common form on tetrahedrite, usually subordinant to the tetrahedron (fig. 3.16), but has also been reported on sphalerite and boracite. The possibility of it being present on diamond can't be overlooked, but as mentioned, it may be the result of solution processes, rather than crystallization.


HEXTETRAHEDRON

Again, we take a tetrahedron and, in similar manner as the hexoctahedron, we raise 6 triangular faces having a common apex from the center of the equilateral triangular face of the tetrahedron. Repeating this on the entire tetrahedron results in 24 faces (fig. 3.17). There are both positive and negative forms, designated as {hkl} and {h-kl}, respectively. This form has been reported on tetrahedrite, but rarely on sphalerite. Also a possible solution form on diamond.


DELTOID DODECAHEDRON

This is a 12-faced form, derived by raising 3 4-sided faces on the each face of a tetrahedron (fig. 3.18). The shape of the resultant faces is rhombic. There are both positive and negative forms, designated as {hll} and {h-ll}, respectively. This form is sometimes seen as a subordinate one on tetrahedrite or sphalerite, where it would appear as a set of 3 rhombic faces modifying the corners of the dominant tetrahedral shape.


GYROID

(Pentagon-trioctahedron)-- This form has no center of symmetry! The Hermann-Mauguin notation is 432 (abbriviated 43). There are two forms, based on right- and left-handed symmetry (fig. 3.19). Older mineral textbooks state that this is a rare form, sometimes reported on cuprite. But most recent textbooks indicate that a restudy of cuprite's crystallography showed cuprite to probably be hexoctahedral. If this is so, then we have no natural mineral that crystallizes with this form, although some laboratory-grown crystals with this form are known.

Two of the 3 remaining forms have 3 2-fold rotational axes, 4 3-fold rotary inversion axes, and 3 of the axial planes are mirror planes of symmetry. The Hermann-Mauguin notation is 2/m-3 (abbriviation m3). These forms consist of the pyritohedron and the diploid.


PYRITOHEDRON

(Pentagonal dodecahedron)-- There are 12 pentagonal faces, each of which intersects one crystallographic axis at unity, intersects a second axis at some multiple of unity, and is parallel to the third axis. There are positive and negative forms, designated as {h0l} and {0kl}, respectively. There are a number of pyritohedral forms, differing due to the degree of inclination of the faces. The most common form is the {102}, the positive form (fig. 3.20). Pyrite is the only common mineral that displays this form. It is often subordinate, combining with the cube, diploid (below), or octahedron.]


DIPLOID

(Didodecahedron)-- There are 24 faces (fig. 3.21), each face corresponding to one-half of the faces of a hexoctahedron. This is a rare form. You should compare figures 3.20 and 3.21. The diploid looks like a pyritohedron where two faces are made from each pentagonal face of the pyritohedron. The resulting faces are trapezia. There are both positive and negative forms, designated as {hkl} and {khl}, respectively. Pyrite is the only common mineral that exhibits the diploid form.


TETARTOID

(pentagon-tritetrahedron)-- The Hermann-Mauguin notation is 23. It has 3 2-fold rotation crystallographic axes and 4 diagonal axes that have 3-fold rotational symmetry. There are actually 4 separate forms in this class: positive right {hkl}, positive left {khl}, negative right {k-hl}, and negative left {h-kl}. See figure 3.22 for the positive right form. Cobaltite, an uncommon mineral, often crystallizes in this form. The tetratoid may be present as a subordinate form in combination with the cube, dodecahedron, pyritohedron, tetrahedron, and deltoid dodecahedron.

Do you remember the naturalist Steno from the 16th century?? We mentioned him in the introductory article. Well, here's some information that he and later crystallographer's discovered about isometric crystals and the interfacial angles of some of the different forms. This information could come in handy when you are deciding which of the common forms you have present on complex isometric crystals.

The angle between two adjoining cube faces is 90 degrees.

The angle between two adjoining octahedral faces is 70 degrees 32 minutes.

The angle between two adjoining dodecahedral faces is 60 degrees.

The angle between a cube (100) and a octahedron (111) is 54 degrees 44 minutes.

The angle between a cube (100) and a dodecahedron (110) is 45 degrees.

The angle between an octahedron (111) and a dodecahedron (110) is 35 degrees 16 minutes.


4. The Tetragonal System

So you didn't get enough punishment in the Article ‘Cubic’ and are back for more. Don't say we didn't warn you that thinking about all this crystallography stuff is addictive and will warp your sense of priorities! You either love these articles by now or are totally masochistic. The lack of geometrical reasoning necessary to understand crystallography and symmetry is what drove a lot of college wannabe geologists into the College of Business! Let's begin...

Our discussion of the TETRAGONAL SYSTEM starts by examining the tetragonal axial cross and comparing it to the isometric axial cross (Article 3). Remember that in the isometric system all 3 axes were the same length and at right angles to each other. In the tetragonal system, we retain the same angular relationships, but vary the length of the vertical axis, allowing it to be either longer or shorter than the other two. We then relabel the vertical axis as c, retaining the same positive and negative orientation of this axis (see fig. 4.1a and 4.1b)

As to the Hermann-Mauguin notation for the tetragonal system, the first part of the notation (4 or -4) refers to the c axis and the second or third parts refer to the a1 and a2 axes and diagonal symmetry elements, in that order. The tetragonal prism and pyramid forms have the symmetry notation 4/m2/m2/m (abbriviated 4/m m).

More:

tetragonal prisms

ditetragonal prism

Dipyramid

ditetragonal dipyramid

tetragonal scalenohedron and disphenoid

ditetragonal pyramid

tetragonal trapezohedron

tetragonal dipyramid

tetragonal disphenoid

tetragonal pyramid


tetragonal prisms

First, I want to consider the tetragonal prisms. There are 3 of these open forms consisting of the 1st order, 2nd order, and ditetragonal prisms. Because they are not closed forms, in our figures we will add a simple pinacoid termination, designated as c. The pinacoid form intersects only the c axis, so its Miller indices notation is {001}. It is a simple open 2-faced form.

The first order prism is a form having 4 faces that are parallel to the c axis and having each face intersect the a1 and a2 axes at the same distance (unity). These faces are designated by the letter m (given with Miller indices in fig. 4.2a and by m in fig. 4.2c) and the form symbol is {110}. The second order prism is essentially identical to the first order prism, but rotated about the c axis to where the faces are parallel to one of the a axes (fig. 4.2b), thus being perpendicular to the other a axis. The faces of the second order prism are designated as a and their form symbol is {100}.


ditetragonal prism

It becomes apparent that the faces of both prisms are identical, and their letter designation is only dependent on how they are oriented to the two a axes. When these forms are combined (fig. 4.2c), then you may readily see their relationships, one to the other. If each form is equally developed, the result is an eight-sided prism. In this instance, we must remember that this apparent shape is the combination of two distinct forms. The third prism form is the ditetragonal prism (fig. 4.3, the common {210} form). It may easily be confused with the combination form of the first and second order prisms, especially if they are equally developed. But compare the orientation of the ditetragonal prism to the a axes in relation to the combination form. What you should do is envision looking down the c axis of the ditetragonal prism and the combined 1st and 2nd order tetragonal prisms, then you will see the similarity.

The ditetragonal prism {210} would closely approximate the combined prism forms, and with natural malformations, could be indistinguishable one from the other. When examining a natural crystal surface, features, such as orientation of striations, growth or etch pits, may be different on the two prisms of the combined form, whereas with the ditetragonal prism all these features will have the same orientation. The ditetragonal prism has the symbol (hk0).

The blue lines indicating the a axes are projected additionally on the top and bottom of this shaded drawing, so you can understand the perspective of this eight sided "stop sign" form.


Dipyramid

Another form in the tetragonal system is the dipyramid and -- yes, you guessed it -- there are 3 types of dipyramids. They correspond to the three types of prisms just described. The name dipyramid is given to a closed form whose plane intersects all three axes (this is true in all crystal systems but the isometric).

We do not allow this form to intersect the c axis at the same length as the a axes, because we already defined that form as an octahedron in the isometric system. So it can intersect at either a longer or shorter distance along the c axis than the length of the a axes. Note the orientation to the axial cross (fig. 4.4, the common {111} form). We designate the faces of the first order dipyramid as p. The second order dipyramid has the basic shape as the form of the first order dipyramid, differing only in its orientation to the axial cross (fig. 4.5, the common {011} form). The second order dipyramid faces are designated by the letter e.

Zircon is a wonderful mineral to observe both the tetragonal dipyramid and tetragonal prism faces on. In fact, you might be surprised at the variation of the length of the c axis in zircon crystals from different localities. Zircon may vary from short stocky nearly equidimensional crystals to almost acicular and have the same basic forms. Before we discuss the 3rd dipyramid form, you need to look at the various drawings in Figure 4.6 to realize the variety of what may be produced by combining these simple tetragonal forms. In figure 4.6c, the faces designated as u represent another 1st order dipyramid with a different angle of intersection with the vertical axis.


ditetragonal dipyramid

Now to the 3rd dipyramid form, the ditetragonal dipyramid. Yes, it's a closed termination form having 16 faces (fig. 4.7). Think of this form as a double 8-sided pyramid whose 16 similar faces meet the 3 axes at unequal distances. The general symbol is {hkl}. This form is rarely dominant, but is common enough as a subordinant form on zircon to be nicknamed a zirconoid. Anatase may also have this form expressed. The ditetragonal prism is often combined with the 1st order prism. In figure 4.7, although the prism is not present and therefore is simply at the junction of the two faces, we have marked its position if it had been expressed by an arrow and the letter m.


tetragonal scalenohedron and disphenoid

The next forms in this system to consider have the Hermann-Mauguin symmetry notation of -42m (short –42). These closed forms include the tetragonal scalenohedron (AKA rhombic scalenohedron) and the disphenoid (AKA tetragonal tetrahedron). Important to remember with both these forms is the existence of a 4-fold axis of rotary inversion.

The tetragonal disphenoid exists as both a positive and negative form. It has only 4 faces (fig. 4.8a). Both forms may be expressed on a single crystal (fig. 4.8b). The faces are designated by the letter p for the positive form and p1 for the negative form. This form differs from the tetrahedron of the isometric system in that the vertical axis is not the same length as the other two axes. The only common mineral in this class is chalcopyrite. Any mineral thought to be in this class must have very accurate interfacial angle measurements made to prove it is tetragonal and not isometric.

The tetragonal scalenohedron (fig. 4.9) is rare by itself, but is often expressed with other forms on chalcopyrite and stannite. It may be derived from the disphenoid form of this system by drawing a line from one corner of each disphenoid face to the center of the line joining the two opposite corners, and raising two faces from the resulting division. Thus, from a 4-faced disphenoid form, we derive an 8-faced form. If you are still having trouble visualizing the form in figure 4.9, you might try thinking of it as the combination of 4 classic diamond - shaped kites, every other one in an upside down orientation! This form really was a problem for my illustrator to draw!


ditetragonal pyramid

An open form in this system is the ditetragonal pyramid, whose general notation is {hkl} (fig. 4.10). This form has no symmetry plane in relation to the 2 horizontal a axes. The symmetry notation is 4mm. Two orientations of this form in relation to the a axes exist, one noted as {hhl} and the other as {h0l}. Along with the ditetragonal pyramid may be an open single-faced form termed a pedion, having a Miller indices of {001}. The pedion will be a single face perpendicular to the c axis that "cuts off" the sharp termination of the ditetragonal pyramid. There are upper and lower forms for both the ditetragonal pyramid and the pedion, the upper being considered positive and the lower negative (just like the orientation of the c axis).

The ditetragonal pyramid looks like one half of the ditetragonal dipyramid, but on a well-formed example is present on only one end of the c axis! This form is rarely dominant, usually being subordinant to other common prism and dipyramidal forms. Diaboleite is the only mineral known to represent this crystal class. It is interesting to note that although the mineral diaboleite was first described in 1923, it was not until 1941 that crystallographers had comprehensively investigated its forms, allowing the recognition of this form. In literature earlier than 1941, you will find the note that no mineral is known to exist in this crystal class.


tetragonal trapezohedron

The tetragonal trapezohedron is the next form to consider. It is a closed form consisting of 8 trapezohedral faces, which correspond to half the faces of the ditetragonal dipyramid. Its symmetry notation is 422, having a 4-fold rotational axis parallel to the c axis and 2 2-fold axes at right angles to the c axis. Missing are a center of symmetry and any mirror planes. There exist right- and left-handed forms (fig. 4.11). Only phosgenite represents this crystal class.


tetragonal dipyramid

In a simple form drawing (designated as e in figs. 4.12a and 4.12b), the tetragonal dipyramid appears to have a higher symmetry than 4/m, but when viewed as displayed on an actual crystal of scheelite (blue faces on fig. 4.12b), the true symmetry is revealed. Minerals possibly expressing this closed crystal form, aside from scheelite, include powellite, fergusonite, and members of the scapolite group.


tetragonal disphenoid

Our next form is an interesting one in that it possesses only a 4-fold axis of rotary inversion corresponding to the c axis. Its symmetry notation is -4. The closed form of this tetragonal disphenoid (AKA tetragonal tetrahedron) possesses only 4 faces, which are isoceles triangles (fig. 4.13).

Without other modifying forms, like the pinacoid and tetragonal prisms, the form will appear to have two vertical symmetry planes present, giving it the symmetry of -42m (like the disphenoid we discussed above). Only one mineral - cahnite - is known to represent this class.


tetragonal pyramid

We have now reached our final form in the tetragonal system. Although it looks simple, it, like the last form, has very low symmetry. The tetragonal pyramid (AKA hemihedral hemimorphic) is an open form with only a 4-fold axis of rotation corresponding to the c axis (fig. 4.14). The term hemimorphic sounds fancy, but is simply a short way of saying that it appears that only half a form is displayed! No center of symmetry or mirror planes exist in this class. It has both upper {hkl} and lower {hk-l) forms, each having right- and left-hand variations. Two other tetragonal pyramids have the general form notation of {hhl} and {0kl}, depending on their form orientation to the axial cross. Wulfenite is the only mineral species to represent this form, although its crystals do not always show the difference between the pyramidal faces, above and below, to characterize distinct complimentary forms.

Well now! That was a little tedious, but certainly not that difficult. Maybe you are beginning to feel more comfortable with crystallographer's terminology. We hope you now understand that by simply stretching or compressing the vertical axis of the axial cross we had used previously in the isometric system, we defined the tetragonal system. Then, by examining the presence or absence of the various symmetry elements (mirror planes, axes of rotation, and center of symmetry), we were able to describe all possible crystal forms in the tetragonal system. Many crystallographers prefer to tackle the hexagonal system next because it has its corollaries in the tetragonal system, but we would rather play around and vary the length of yet another axis of our axial cross and see what comes of it in Article 5 - the Orthorhombic system.

So until that time, consider the symmetrical world around you and don't be afraid to look at your own mirror image!


5.The Orthorhombic System

Now we are ready to consider the orthorhombic system. We again will start by examining the axial cross for this system. If you remember in Article 4, the tetragonal system, we held the a and b axes the same length (a1 and a2) and varied the length of the c axis. Well, in the orthorhombic system, we will continue the 90 degree angular relationships between all 3 axes, but will vary the length of each individual axis. Note that THE 3 AXES MUST BE UNEQUAL IN LENGTH. If any two are equal, then, by convention, we are discussing the tetragonal system.

In Figure 5.1, by current practice we orient any crystal in this system so that the length of c is greater than the length of a, which, in turn, is greater than the length of b. You will commonly find this in textbooks as "c<a<b".

There may also be 3 mirror symmetry planes, which must be at right angles to each other. But guess what! In the past, mineralogists have not always observed the axial length practice given here, and presently, the consensus is to conform when possible to the existing literature. This reason is why we will encounter some special orientation situations when dealing with certain common orthorhombic minerals.

When examining an orthorhombic crystal, we find that the highest obtainable symmetry is 2-fold. In a simple form, like the combination of the 3 pinacoids (open form), the crystal takes on an elongate, and often tabular appearance. These are typical forms to see expressed on barite and celestine.

The 3 pinacoids are at right angles to each other and usually the orientation of a given crystal to the axes is accomplished by an examination of the habit and any apparent cleavage. In topaz, the prominent pinacoidal cleavage is in the plane of the 2 shortest axes and perpendicular to the longest axis, so by convention, it is considered perpendicular to the c axis.

However, you will often encounter the situation where a given crystal displays a very prominent pinacoid and the crystal is tabular in form. In such a case, we then consider the c axis at right angle to the prominent pinacoid and the crystal is oriented as in Figure 5.2. This is a much different appearance than the example of topaz, noted in the paragraph above.

The orthorhombic system has 3 general symmetry classes, each expressed by its own Hermann-Mauguin notation.

Let's look at the forms designated by the symmetry 2/m2/m2/m (2/m m in short notation). There are 3 of these (have you noticed that almost everything mentioned in this article is in 3's!): the pinacoid (also called the parallelohedron); the rhombic prism; and the rhombic dipyramid.

More:

pincoid

rhombic prism

rhombic dipyramid

rhombic pyramidal

rhombic disphenoid


pincoid

The pinacoid consists of 2 parallel faces, and can occur in the 3 different crystallographic orientations. These are the pair that intercept the c axis and are parallel to the a and b axes {001}; the pair that intercept the b axis and are parallel to the a and c axes {010}; and the pair that intercept the a axis and are parallel to the b and c axes {100}. They are called the c pinacoid, the b pinacoid, and the a pinacoid, respectively (fig. 5.3).


rhombic prism

The rhombic prism, an open form, consists of 4 faces which are parallel to 1 axis and intersect the other two. There are 3 of these rhombic prisms and they are given by the general notational forms: {hk0}, which is parallel to the c axis; {h0l}, which is parallel to the b axis; and {0kl}, which is parallel to the a axis. Figure 5.4 a,b,c present the 3 rhombic prisms, each in combination with a corresponding pinacoidal form. Only the positive face of the rhombic prism is labeled in these examples.

5.4a Prism {110} and
pinacoid {001}

5.4b Prism {101} and
pinacoid {010}

5.4c Rhombic prism {011}
and pinacoid {100}

However, we may discover after examining a large number of different orthorhombic minerals that we see a large number of prism forms expressed on a single crystal, and these forms cannot be expressed with unity in their numbers because their intersects upon the horizontal axes are not proportionate to their unit lengths. This is where our general symbol notation comes in handy. In the old days of crystallography, these forms were designated as either macroprisms or bracyprisms, depending on whether h > k or k > h. A macroprism has the general symbol of {h0l} and a bracyprism has the general symbol of {hk0}.

5.5a Macro- Brachy- and Basal Pinacoids | 5.5b Prism and Basal Pinacoid | 5.5c

With Figure 5.5, we have 3 sets of prisms expressed by the letter designations of m, l, and n, and a pinacoid face letter-designated as a.


rhombic dipyramid

The rhombic dipyramid is the last form to consider of this symmetry class. It is designated by the general form {hkl} and consists of 8 triangular faces, each of which intersects all 3 crystallographic axes. This pyramid may have several different appearances due to the variability of the axial lengths (figs. 5.6 a,b,c).

5.6a Rhombic dipyramid | 5.6b | 5.6c Sulfur crystal

A relatively large number of orthorhombic minerals are encountered with combinations of the various forms presented so far. These include andalusite, the members of the aragonite and barite group, brookite, chrysoberyl, the orthopyroxenes, goethite, marcasite, olivine, sillimanite, stibnite, sulfur, and topaz.


rhombic pyramidal

Next to consider are the few forms having the symmetry mm2 (termed the rhombic pyramidal). The two-fold rotational axis corresponds to the c crystallographic axis and the 2 mirror planes (at right angles to each other) intersect this axis. Due to the fact that no horizontal mirror plane exists, forms at the top and bottom of the crystal are different. Look at Figure 5.7a. Also, due to the lack of the horizontal mirror plane, there exists no prisms, but instead we have 2 domes in place of each of the prisms (do you remember that a dome consists of 2 faces that intersect each other, but have no corresponding parallel faces on the other end of the crystal?). Think of the minerals hemimorphite (fig. 5.7b), struvite (fig. 5.7c) or bertrandite when you think of this symmetry class.

5.7a Rhombic pyramid | 5.7b Hemimorphite | 5.7c Struvite


rhombic disphenoid

And now to the last (and the lowest) symmetry class of the orthorhombic system, the rhombic disphenoid.

The form has also been called the rhombic tetrahedron. It has the symmetry notation of 222, which is 3 axes of 2-fold rotation that correspond with the 3 crystallographic axes.

I'm sorry, but there is just no other symmetry here! The forms are, however, enantiomorphic, that is to say present as right and left images (fig. 5.8). These closed forms consist of 2 upper triangular faces that alternate with 2 lower triangular faces, the pair of upper faces being offset by 90 degrees in relation to the pair of lower faces.

Figure 5.9

Pinacoids and prisms may also exist in this class. The most common mineral in this crystal class is epsomite (fig. 5.9). Note that in Figure 5.9 the rhombic disphenoid is designated by the letter z and the unit prism by m.

Well, well. Now we have completed the orthorhombic system and we have looked at 3 (again a 3) of the 6 crystal systems! What do you think? I hope it has been interesting to read and consider the geometry of these crystal systems. It has been interesting for me to write about them. I think the artist began to get a little bored drawing all these figures, so started to use some color to liven things up a bit! I do like it.

This is the "hump" article as we have completed 5 of the 9 in the series. In fact, you might even consider it the 'center of symmetry' of the series and our journey. But so much for looking in the rearview mirror at where we've been, better to look and see where we are going - to that land where symmetry becomes less and less a factor! But before we go begin to lose more of our symmetry, I want to take a side road to the Hexagonal world, where we can look at all manner of items from either 3 or 6 directions in the next installment, Article 6.


6.The Trigonal / Hexagonal Systems

More:


The Metric

Now we will consider the only crystal system that has 4 crystallographic axes! You will find that the Miller indices should actually be termed Bravais indices, but most people, probably out of habit, still call them Miller indices. Because there are 4 axes, there are 4 letters or numbers in the notation.

The forms of the hexagonal system are defined by the axial cross relationships. The hexagonal axes (fig. 6.1) consist of 4 axes, 3 of which are of equal length and in the same plane, as proposed by Bravais. These 3 axes, labeled a1, a2, and a3 have an angular relationship to each other of 120 degrees (between the + ends). At right angle (geometrical mathematicians say "normal") to the plane of the a axes is the c axis. Its length may vary from less than to greater than the length of any of the a axes. It will not equal the length of an a axis, however.

Note the orientation of the 4 axes and their + and - ends. If viewed vertically (down the c axis), the axes divide a circle into 6 equal parts and the axial notation reads (starting with a +) as +,-,+,-,+,-; the positive and negative ends alternating. In stating the indices of any face, four numbers (the Bravais symbol) must be given. In the Hermann-Mauguin symmetry notation, the first number refers to the principal axis of symmetry, which is coincident with c in this case. The second and third symbols, if present, refer to the symmetry elements parallel with and normal to the a1, a2, a3 crystallographic axes, respectively.


6.A The Hexagonal Division

Now, surprise!! We find that the Trigonal / Hexagonal systems has two divisions, based on symmetry. There are seven possible classes, all having 6-fold symmetry, in the Hexagonal division and five possible classes, all having 3-fold symmetry, in the Trigonal division. The general symbol for any form in the Hexagonal system is {hk-il}. The angular relation of the three horizontal axes (a1, a2, a3) shows that the algebraic sum of the indices h, k, i, is equal to 0.

More:

Dihexagonal dipyramidal class

ditrigonal dipyramid

Hemimorphic (dihexagonal pyramid)

Hexagonal Trapezohedral

Hexagonal Dipyramid

Trigonal Dipyramid

Hexagonal pyramid


Dihexagonal dipyramidal class

Now, let's begin to consider the first class of the Hexagonal division. The Normal or Dihexagonal dipyramidal class has 6-fold symmetry around the c or vertical axis. It also has 6 horizontal axes of 2-fold symmetry, 3 of which correspond to the 3 horizontal crystallographic axes and 3 which bisect the angles between the axes. It's Hermann- Mauguin notation is 6/m2/m2/m (brievely 6/m m). Confused? Check out figure 6.2a and 6.2b which show the symmetry elements of this class, associated with axes and mirror planes.

6.2a & 6.2b symmetry elements

Rotational symmetry elements

Symmetry planes

There are 7 possible forms, which may be present in the Dihexagonal Dipyramidal class:

Form | Number of Faces | Miller Indices | Form Expression
1. Base or basal pinacoid | 2 | (0001) | open
2. First order prism | 6 | (10-10) | open
3. Second order prism | 6 | (11-20) | open
4. Dihexagonal prism | 12 | (hk-i0) example: (21-30) | open
5. First order pyramid | 12 | (h0-hl) example: (10-11), (20-21) | closed
6. Second order pyramid | 12 | (hh2hl) example: (11-22) | closed
7. Dihexagonal dipyramid | 24 | (hk-il) example: (21-31) | closed

See figures 6.3 through 6.8 (below) for what these forms look like.

First order hexagonal prism and c pinacoid | Second order hexagonal prism and c pinacoid | Dihexagonal prism and c pinacoid

First order hexagonal dipyramid | Second order hexagonal dipyramid | Dihexagonal dipyramid

The two faces of the Base, or basal pinacoid, are normal to the c axis and parallel to each other, and are generally denoted by the italic letter c. Their Miller indices are (0001) and (000-1).

The first and second order prisms cannot be distinguished from one another, as they each appear as a regular hexagonal prism with interfacial angles of 60 degrees, but when viewed down the c axis, as in figure 6.9, the relationships of the two forms to each other and to the a axes are readily noted.

The dihexagonal prism is a 12-sided prism bounded by 12 faces, each parallel to the vertical (c) axis. If you had both first and second order prisms equally expressed on the same crystal, you could not easily tell them apart from the dihexagonal form. See figure 6.5.

Corresponding to the 3 types of prisms are 3 types of pyramids. Note in the figures 6.6 and 6.7 on the previous page the similar shape, but difference in angular relation to the horizontal axes. The dihexagonal dipyramid is a double 12-sided pyramid (figure 6.8 ). The first order pyramid is labeled p. The second order pyramid is labeled s. The dihexagonal dipyramid is labeled v.

These forms look relatively simple until several of them are combined on a single crystal, then look out! You can even have several of the same form at different angles, thus 2 first order pyramids may be labeled p and u, respectively.

See figure 6.10 for a beryl crystal having all these forms displayed. Molybdenite and pyrrhotite also crystallize in this class.


ditrigonal dipyramid

The ditrigonal dipyramid{hk-il}has a 6-fold rotoinversion axis, which is chosen as c. We should note that -6 is equivalent to a 3-fold axis of rotation with a mirror plane normal to it. Three mirror planes intersect the vertical axis and are perpendicular to the 3 horizontal crystallographic axes. There are also 3 horizontal 2-fold axes of symmetry in the vertical mirror planes. The Herman-Mauguin notation is -6m2.

This class is a 12-faced form with six faces above and 6 faces below the mirror plane that lies in the a1-a2-a3 axial plane. Figure 6.11a is the ditrigonal dipyramid form and figure 6.11b displays a drawing of benitoite, the only mineral described in this class.


Hemimorphic (dihexagonal pyramid)

The Hemimorphic (dihexagonal pyramid) class. This class differs from the above-discussed classes in that it has no horizontal plane of symmetry and no horizontal axes of symmetry. There is no center of symmetry. Therefore, the Hermann-Mauguin notation is 6mm (short notation 6m). The geometry of the prisms is the same. The basal plane is a pedion (remember a pedion differs from a pinacoid in that it is a single face) and the positive and negative pyramids of the 3 types. The difference may be readily noted on a form drawing of this class (fig. 6.12 ) when compared to figure 6.8 (two pages back).

Several minerals including zincite, wurtzite, and greenockite fall in this class (figs. 6.13a, b, & c).


Hexagonal Trapezohedral

In the Hexagonal Trapezohedral class, the symmetry axes are the same as the Normal (dihexagonal dipyramidal class discussed initially in this section), but mirror planes and the center of symmetry are not present. The Hermann-Mauguin notation is 622( abriviated 62). Two enantiomorphic (mirror image) forms are present, each having 12 trapezium-shaped faces (figure 6.14).

Other forms, including pinacoid, hexagonal prisms, dipyramids, and dihexagonal prisms, may be present. Only 2 minerals are known to represent this crystal class: high (beta) quartz and kalsilite.


Hexagonal Dipyramid

The Hexagonal Dipyramid class (figure 6.15) has only the vertical 6-fold axis of rotation and a symmetry plane perpendicular to it. The Hermann-Mauguin notation is 6/m. When this form is by itself, it appears to possess higher symmetry. However, in combination with other forms it reveals its low symmetry content.

The general forms of this class are positive and negative hexagonal dipyramids. These forms have 12 faces, 6 above and 6 below, and correspond in position to one-half of the faces of a dihexagonal dipyramid.

Other forms present may include pinacoid and prisms. The chief minerals crystallizing in this class are those of the apatite group.


Trigonal Dipyramid

The Trigonal Dipyramid possesses a 6-fold axis of rotary inversion, thus the Hermann- Mauguin notation of -6. This is equivalent of having a 3-fold axis of rotation and a symmetry plane normal to it (3/m). See figure 6.16.

Mathematically, this class may exist, but to date no mineral is known to crystallize with this form


Hexagonal pyramid

In the Hexagonal pyramid class, the vertical axis is one of 6-fold rotation. No other symmetry is present. Figure 6.17 is the hexagonal pyramid. The forms of this class are similar to those of the Hexagonal Dipyramid (discussed above), but because there is no horizontal mirror plane, different forms are present at the top and bottom of the crystal. The hexagonal pyramid has four 6-faced forms: upper positive, upper negative, lower positive, lower negative. Pedions, hexagonal pyramids and prisms may be present. Only rarely is the form development sufficient to place a crystal in this class. Nepheline is the most common representative of this class.


6.B The Trigonal Division

Now we have worked through the first 7 classes in the Hexagonal System, all having some degree of 6-fold symmetry. Time to shed that 6-fold symmetry and look at the Trigonal Division of the Hexagonal System. Here, we will see that 3-fold symmetry rules.

Remember that prisms are open forms. In the trigonal division there are two distinctive sets of prisms to be concerned with. The first is called the trigonal prism. It consists of 3 equal-sized faces which are parallel to the c crystallographic axis and which form a 3-sided prism. You may think of it as one-half the faces of the first-order hexagonal prism.

In fact, the normal light-refracting 60-degree glass prism used in many physics lab workshops is this form, bounded on the end by the c pinacoid. There exists a second order prism, which on general appearance looks the same as the first order, but when other trigonal forms are present on the termination other than the c pinacoid, the two prisms may be readily distinguished, one from the other. The second order prism is rotated 60 degrees about the c axis when compared with the first order prism.

The second prism is the ditrigonal prism, which is a 6-sided open form. This form consists of 6 vertical faces arranged in sets of 2 faces.

Therefore the alternating edges are of differing character; especially noticable when viewed by looking down the c axis.

The differing angles between the 3 sets of faces are what distingish this form from the first order hexagonal prism.

The striations on the figure to the left are typical for natural trigonal crystals, like tourmaline. In the drawing, c is the pinacoid face and m the prism faces.

I think these forms are simple enough that we don't need any drawings to explain them, but look for them on figure 6.23 (below) - the tourmaline forms. They are given the normal prism notation of m and a.

More:

Hexagonal-scalenohedral Class

hexagonal scalenohedron

Ditrigonal pyramid

Trigonal-trapezohedral

Rhombohedral class

Trigonal pyramid


Hexagonal-scalenohedral Class

Hexagonal-scalenohedral class. The first to consider are those forms with the symmetry - 3 2/m (Hermann-Mauguin notation, abbriviated –3m). There are two principal forms in this class: the rhombohedron and the hexagonal scalenohedron.

In this class, the 3-fold rotoinversion axis is the vertical axis (c) and the three 2-fold rotation axes correspond to the three horizontal axes (a1, a2, a3).

There are 3 mirror planes bisecting the angles between the horizontal axes. See figure 6.18 to observe the axes and mirror planes for the rhombohedron.


hexagonal scalenohedron

The general form {hk-il} is a hexagonal scalenohedron(figure 6.19). The primary difference in the rhombohedron and this form is that with a rhombohedral form, you have 3 rhombohedral faces above and 3 rhombohedral faces below the center of the crystal.

In a scalenohedron, each of the rhombohedral faces becomes 2 scalene triangles by dividing the rhombohedron from upper to lower corners with a line. Therefore, you have 6 faces on top and 6 faces below, the scalenohedron being a 12-faced form. These forms are illustrated in figure 6.20.

With this form, you can have both positive {h0-hl} and negative {0h-hl} forms for the rhombohedron...

and positive {hk-il} and negative {kh-il} forms for the scalenohedron.

To further complicate matters, the rhombohedron and scalenohedron, as forms, often combine with forms present in higher hexagonal symmetry classes. Thus, you may find them in combination with hexagonal prisms, hexagonal dipyramid, and pinacoid forms.

Calcite is the most common, well crystallized, and collectible mineral with these forms. See figure 6.21 for some crystallization forms of calcite. Several other minerals, such as chabazite and corundum, commonly show form combinations.

On the last 3 drawings in figure 6.21, see if YOU can name the faces present. I have already given the notation in the first 5 figures. Email me with your answer, and I'll tell you if you are right!


Ditrigonal pyramid

The next crystal class to consider is the Ditrigonal pyramid. The vertical axis is a 3-fold rotation axis and 3 mirror planes intersect in this axis. The Hermann-Mauguin notation is 3m, 3 referring to the vertical axis and m referring to three planes normal to the three horizontal axes (a1,a2,a3). These 3 mirror planes intersect in the vertical 3-fold axis.

The general form {hk-il} is a ditrigonal pyramidform. There are 4 possible ditrigonal pyramids, with the indices {hk-il}, {kh-il}, {hk-i-l}, and {kh-i-l}.

The forms are similar to the hexagonal-scalenohedral form discussed previously, but contain only half the number of faces owing to the missing 2-fold rotation axes. So crystals in this class have different forms on the top of the crystal than on the bottom. Figure 6.22 shows the ditrigonal pyramid.

Figure 6.23 shows 2 tourmaline crystals, the most common mineral crystallizing in this class, which display 3m symmetry.

This form may be combined with pedions, hexagonal prisms and pyramids, trigonal pyramids, trigonal prisms, and ditrigonal prisms to yield some complicated, though interesting, forms.


Trigonal-trapezohedral

We now have come to the Trigonal-trapezohedral class. The rotation axes occupy the 4 axial directions. The vertical axis is an axis of 3-fold rotation and the 3 horizontal axes have 2-fold symmetry.

This is similar to those in class -32/m (hexagonal-scalenohedron), but the planes of symmetry are missing. There are 4 trigonal trapezohedrons, each composed of 6 trapezium-shaped faces. Their Miller indices are: {hk-il}, {i-k-hl}, {kh-il}, and {-ki-hl}. These forms correspond to 2 enantiomorphic pairs, each with a right and left form (one pair illustrated in figure 6.24).
Other forms which may be present include pinacoid, trigonal prisms, hexagonal prism, ditrigonal prisms, and rhombohedrons.

Quartz is the common mineral that crystallizes in this class, but only rarely is the trapezohedral face (s) displayed. When it is, it is a simple matter to determine if the crystal is right- or left-handed in form (figure 6.25).

Cinnabar also crystallizes in this class.


Rhombohedral class

The Rhombohedral class has a 3-fold axis of rotoinversion, which is equivalent to a 3-fold axis of rotation and a center of symmetry. The general form is {hk-il} and the Hermann- Mauguin notation is -3.

This form is tricky because unless other forms are present, its true symmetry will not be apparent. The pinacoid {0001} and the hexagonal prisms may be present.

Dolomite and ilmenite are the two most common minerals crystallizing in this class. See figure 6.26.


Trigonal pyramid

Now we arrive at the final class in the Hexagonal system. The Trigonal pyramid has one 3-fold axis of rotation as its sole element of symmetry. See figure 6.27. There are, however, 8 trigonal pyramids of the general form {hk-il}, four above and four below. Each of these correspond to 3 faces of the dihexagonal dipyramid (discussed above). In addition to this, it is possible that there may be trigonal pyramids above and equivalent, but independent, pyramids below. Only when several trigonal pyramids are in combination with one another is the true symmetry revealed.

It appears that only one mineral, a rare species called gratonite, belongs to this class and it has not been studied sufficiently to remove all doubt in some crystallographer's minds.

All crystals in the Hexagonal system are oriented so that the negative end of the a3 axis (see again figure 6.1) is considered to be 0 degrees for plotting purposes. This becomes important when looking at the distribution of rhombohedral forms and determining if they are + or -.

I suggest you read page 88 of the Manual of Mineralogy - after J. D. Dana by Klein and Hurlbut (20th edition) if you wish further detail.

WOW! We have now wrapped up the Hexagonal system. I hope you are not feeling too hexed by all this discussion. If so, let's just lose that old feeling and prepare yourself to become even less symmetric as we move to the next Crystal System -- Monoclinic.


7. The Monoclinic System

Having dispensed with the hexagonal system in the previous article, we are ready to resume our task of the removal of symmetry from 3-axis systems. Consider the axial cross, consisting of the a, b, and c axes (each of unequal length), of the Monoclinic System (fig. 7.1). In all previous 3-axes systems, we considered what happens when we vary one or more of the axial lengths, retaining the axial angles at 90 degrees to each other. But in the Monoclinic System, we will look at what happens when we have 3 axes of unequal length and vary the angle off of 90 degrees between two of the axes. Obviously, we must again lose some symmetry!

The axes are designated as follows: the inclined axis is a and slopes out of the paper towards the viewer, the vertical axis is c, and the remaining axis which is at right angle to the plane of the a and c axes is b. When properly oriented, the inclined axis a slopes toward the observer, b is horizontal and c is vertical. Both b and c axes are in the plane of the paper.

In Figure 7.1, the angle between c and b remains 90 degrees and the angle (^) between c and a is the one we will vary. Its called beta and is represented by the Greek letter in the axial figure. For most monoclinic crystals, the ^ beta is greater than 90 degrees, but in some rare instances, the angle may be 90 degrees.

When this occurs, the monoclinic symmetry is not readily apparent from the morphology. The 2-fold rotation axis (the direction perpendicular to the mirror plane) is usually taken as the b axis. Then the a axis is inclined downward toward the front in the figure. Calculations of axial ratios in orthogonal crystal systems (where all the axes are perpendicular to each other) are relatively easy, but become quite tedious in systems with one or more inclined axes.

I suggest an advanced mineralogy text, not an introductory one, if you ever get involved in something like this. Not even your standard mineralogy texts these days give the formulae to do these calculations. Aside from the axial constants necessary to describe minerals in the monoclinic system, the ^ beta must also be given. Given this situation, you might wish to look up this information for orthoclase in a standard mineralogy textbook, like Klein and Hurlbutís Manual of Mineralogy after E. S. Dana. You will find that for orthoclase a:b:c = 0.663:1: 0.559. ^Beta = 115 degrees, 50 minutes.

Cleavage is important to consider in this system. If there is a good pinacoidal cleavage parallel to the b axis (as in the mineral orthoclase), then it is usually called the basal cleavage. In the monoclinic pyroxenes and amphiboles, where there are 2 equivalent cleavage directions, they are usually considered to be vertical prismatic cleavages.

More:


Monoclinic pinacoid

There are only 3 symmetry classes to consider in the monoclinic system: 2/m, m, and 2.

In the 2/m symmetry class, however, there are 2 types of forms, pinacoids and prisms. Remember that a pinacoid form consists of 2 parallel faces (open form).

The a pinacoid is also called the front (used to be called the orthopinacoid), the b is called the side pinacoid (used to be called the clinopinacoid), and the c is termed the basal pinacoid.

There are 2 additional pinacoids with the general form notations of {h0l} and {-h0l}. The presence of one of these forms does not necessitate the presence of the other one.

These 3 pinacoids together form the diametrical prism (fig. 7.2), which is the analogue of the cube in the isometric system. To further confuse the issue, most new textbooks call the pinacoid form a parallelohedron. So we have 3 names in recent literature for the same thing.

Let's first look at a drawing to show you where the mirror plane is and the orientation of the 2-fold rotational axis (fig. 7.3).

As described above, the b axis is the 3-fold rotation axis.

The 4-faced prism {hkl} is the general form. A monoclinic prism is shown in Figure 7.4. The general form can occur as two independent prisms {hkl} and {-hkl}. There are also {0kl} and {hk0} prisms. The {0kl} prism intersects the b and c axes and is parallel to the a axis.

Here is the fun part. The only form in the 2/m class which is fixed by making the b axis the axis of 2-fold rotation is the b pinacoid {010}. Either of the other 2 axis may be chosen as c or a!

As an example, the {100} pinacoid, the {001} pinacoid, and the {h0l} pinacoids may be converted into each other by simply rotating their orientation about the b axis! Corollary to this situation, the prisms may be interchanged in the same manner. We now need to look at some illustrations of some relatively common monoclinic minerals. In these drawings you should recognize the letter notation where a, b, and c are the pinacoid forms (the diametrical prism, remember?); m is the unit prism and z is a prism; o, u, v, and s are pyramids; p, x, and y are orthodomes; and n is a clinodome.

Figures 7.5a, b, and c are common forms for the mineral orthoclase and 7.5d is a common form for selenite (gypsum). Many common minerals crystallize in this symmetry class, including azurite, clinopyroxene and clinoamphibole groups, datolite, epidote, gypsum, malachite, orthoclase, realgar, titanite, spodumene, and talc.


Monoclinic dome

The second monoclinic symmetry class is m and represents a single vertical mirror plane (010) that includes the c and a crystallographic axes.

A dome is the general form {hkl} in this class (fig. 7.6) and is a 2-faced figure that is symmetrical across a mirror plane. There are 2 possible orientations of the dome, {hkl} and {-hkl).

The form {010} is a pinacoid, but all the faces on the other side of the mirror plane are pedions. These include {100}, {- 100}, {00-1), and {h0l}. Only 2 rare minerals, hilgardite and clinohedrite, crystallize in this class.


Monoclinic Sphenoid

The third monoclinic symmetry class is 2 and represents a 2-fold axis of rotation on the b crystallographic axis. Figure 7.7 represents the general {hkl} form in a sphenoid or dihedron. Since we have no a-c symmetry plane and with the b axis being polar, in the 2-symmetry class, we have different forms present at the opposite ends of b. The {010} pinacoid of 2/m becomes 2 pedions, {0l0} and {0-10}. Likewise, the {0kl}, {hk0} and {hkl} prisms of 2/m degenerate into pairs of right- and left-hand (enantiomorphic) sphenoids.

The general form, the sphenoid, is enantiomorphic and has the Miller indices {hkl} and {h-kl}. Mineral representatives are scarce for this class, but include the halotrictite group with the mineral pickeringite as the most commonly occurring member. For comparisonís sake, take another look at Figures 7.6 and 7.7, just to keep straight what we are talking about.

Well, we have only one crystal system left to discuss. Prepare yourself to enter that land of variability where we break out of our need for square angles and equal length axes. The land where our symmetry is the lowest possible and our options are wide open. Are you ready for the Triclinic System?


8. The Triclinic System

You must be glad to get to the last system's article! I know I am. In our overall examination of 3-axes systems, this one is relatively short and only moderately difficult to understand due to the lack of symmetry.

So let's start, as we have with all the other systems, by looking at the axial cross of the Triclinic System (fig. 8.1). In this figure, we see that all 3 axes (a, b, and c) are unequal in length to each other and that there are no axial angles of 90 degrees. In the Monoclinic System, at least we had a and b axes at right angles, but here we have lost even that!

Note that the angle beta is still between the c and a axes, but we now have 2 additional angles to define, neither of which are equal to 90 degrees. One angle is termed alpha and is defined as the angle between the c and b axes and the second is gamma which is defined as the angle between a and b. Now, we must have some accepted conventions or rules to follow to orient a triclinic crystal, or we will always be in a state of confusion with other folks over just the orientation.

Remember, in the orientation of any crystal, you also are determining the position of the 3 crystallographic axes. So, the rules are: 1) the most pronounced zone should be vertical and therefore the axis in this zone becomes the c; 2) the {001} form (basal pinacoid) should slope forward and to the right; and 3) select two forms in the vertical zone, one will be the {100} and the other will be the {010}. Now, the direction of the a axis is determined by the intersection of {101} and {001} and the direction of the b axis is determined by the intersection of {100} and {001}. Once this is done, the a axis should be shorter than the b axis so that the convention becomes c < a < b. The axial distances and the 3 angles, alpha, beta, and gamma, can be calculated only with considerable difficulty. As in the Monoclinic system, the b axis length is defined as unity (1). The crystallography information concerning a triclinic mineral will include the following (an example): a:b:c = 0.972: 1 : 0.778; alpha = 102 degrees 41 minutes, beta = 98 degrees 09 minutes, gamma = 88 degrees 08 minutes.

In the triclinic system, we have two symmetry classes. The first we will consider is the -1 (Hermann-Mauguin notation). In this class, there is a 1-fold axis of symmetry, the equivalent of a center of symmetry or inversion.

More:


triclinic pinacoid /parallelohedron

Figure 8.2 shows a triclinic pinacoid (or parallelohedron). This class is termed the pinacoidal class after its general form {hkl}. So all the forms present are pinacoids and therefore consist of two identical and parallel faces.

When you orient a triclinic crystal, the Miller indices of the pinacoid determine its position. There are 3 pinacoids.

Remember pinacoids intersect one axis and are parallel to the other 2 (in 3 axes systems). So let's start by looking at the -1 symmetry. This is a one-fold axis of rotoinversion, which may be viewed as the same as having a center of symmetry.

Figure 8.3 shows a triclinic pinacoid, also called a parallelohedron. This class is referred to as the pinacoidal class, due to its {hkl} form. With -1 symmetry, all forms are pinacoids so they consist of 2 identical parallel faces. Once a triclinic crystal is oriented, then the Miller indices of the pinacoid establish its position.

Figure 8.3 Triclinic pinacoids, or parallelohedrons

There are 3 general types of pinacoids: those that intersect only one crystallographic axis, those that intersect 2 axes, and those that intersect all 3 axes. The first type are the pinacoids {100}, {010}, and {001}. The {100} is the front pinacoid and intersects the a axis, the {010} is the side or b pinacoid and intersects the b axis, and the {001} is the c or basal pinacoid and intersects the c axis. All of these forms are by convention based on the + end of the axis.

The second type of pinacoid is termed the {0kl}, {h0l}, and {hk0} pinacoids, respectively. The {0kl} pinacoid is parallel to the a axis and therefore intersects the b and c axes. It may be positive {0kl} or negative {0-kl}. The {h0l} pinacoid is parallel to the b axis and intersects the a and c axes. It may be positive {h0l} or negative {-h0l}. Finally, the {hk0} pinacoid is parallel to the c axis and intersects the a and b axes. It may be positive {hk0} or negative {h-k0}.

The third type of pinacoid is the {hkl}. There exist positive right {hkl}, positive left {h- kl}, negative right {-hkl}, and negative left {-h-kl}. Each of these 2-faced forms may exist independently of the others. Figure 8.3 shows some of the pinacoidal forms in this class. A number of minerals crystallize in the -1 class including plagioclase feldspar pectolite, microcline, and wollastonite. The second symmetry class of the triclinic system is the 1, which is equivalent to no symmetry! It is a single face termed a pedion and the class called the pedial class after its {hkl} form. Because the form consists of a single face, each pedion or monohedron stands by itself. Rare is the mineral that crystallizes in this class, axinite being an example.

We have now finished our discussion of the Crystal Systems and their geometrical and symmetry relationships. I can hardly believe it! If you feel like pursuing the subject of symmetry further, go to Article 9 for my summary remarks and some suggested additional references and articles.


9. Conclusion and Further Reading

Well, here we are. We've finished the 7 crystal systems and we're feeling kind of smug with what we have learned. But listen here readers, although we had some chalkboard discussions about the crystal systems and their symmetry elements and classes, now we must leave the ideal world of symmetrical crystal forms and enter the real world. The world where the growth mechanisms and the environment of formation of a crystal have as much to do with the expression of the crystal forms we see as the molecular arrangement of atoms composing the mineral we are interested in.

Almost all minerals are crystalline (part of the definition of a mineral), but only under special conditions do you form minerals with well expressed crystal form(s). The mineral may grow from a melt as in igneous rocks, from solids under elevated temperature and pressure, or in open crevices or pockets from hot, warm, or cold mineral-laden fluids.

So, when you examine euhedral crystals of any mineral, please realize that they are rather remarkable objects. Probably 99 % of all minerals present in the earth's crust display no external crystalline form. A euhedral crystal is a flower of the mineral world! Treat crystals with care and respect because they probably survived millions of years before someone discovered them. One careless moment and they may be destroyed forever.

But enough of our soapbox lecture on the need to understand the scarcity of well-formed crystals! Throughout the series of articles, we have attempted to show you the world of symmetry present in the crystalline world around you. But symmetry is present everywhere. Symmetry is present in varying degrees in the biological world. From simple bilateral symmetry (mirror symmetry like left-right) to 5-fold symmetry not present in the crystalline world. Members of the echinoderm family are beautiful examples of this type of symmetry. Next time you look at a starfish, a fossil blastoid, or a sea urchin spend some time examining its symmetry. You will recognize elements of several principles you learned from studying minerals.

Symmetry or the intentional lack of symmetry governs many artistic works. One of the most remarkable persons to use masterfully a variety of symmetry elements was M. C. Escher. His works not only display many symmetry elements, but he includes much of his personal theology hidden in his designs. An excellent recent book, available by ordering from your local bookstore is M. C. Escher: His Life and Complete Graphic Work, by M. C. Escher, L. J. Locher (ed.), and F. Bool, published by Harry N. Abrams, November, 1992, ISBN: 0810981130. You could also order this book from Amazon.com on the internet. There is a CD-ROM of M. C. Escher's Works also available for less than $50 through Amazon.com.

There are many articles written in journals concerned with various aspects of symmetry including an article in Scientific American on the symmetry of the patterns of dimples on golf balls!

One of the most interesting books we ever came across is Snow Crystals by W. A. Bentley and W. J. Humphries.

This remarkable book contains 2,453 photographs of snow crystals (the mineral ice).

W. A. Bentley's hobby was the photography of snow crystals. After his death, his collection of several thousand snow crystal and frost crystal photographs were donated to the American Meteorological Society. The AMS was charged with designating someone to put the collection of photographs into a sensible order and overseeing their publication. W. J. Humphries oversaw the work which involved several noted mineralogists of the day, including S. B. Hendricks, H. E. Merwin, C. S. Ross, and W. T. Schaller. These men classified the photographs into basic types of formation and growth forms and worked up the descriptive portion of the book's text on the crystallography of the Snow Crystal.

The presentation of so many illustrations of a single mineral (ice) all from the same crystal system makes the book unique and gives the viewer the opportunity to examine how the various methods of growth of a mineral may affect a crystal's appearance, even though the symmetry elements remain constant. You have probably heard the comment that no two snow flakes are identical. You will believe it after examining the photographs in this book! Every instructor teaching mineralogy should make this book available to their class just to enlighten the students as to nature's infinite variety on the same theme!

We do not know if it is still in print, but it was first published by McGraw-Hill in 1931 and republished in 1962 by Dover Publications, New York. The standard book number is 486-20287-9 and the Library of Congress Card Catalog Number is 63-422 for the Dover edition.

I could rave on for a few additional pages, but it would do little good. By now, you are either hooked on symmetry or sick of my discussion of it. But never again will you look in a mirror and see just yourself. Instead you will see an organism with bilateral symmetry. Symmetry is a way of looking at the world around you and seeing order in the apparent randomness of nature. It is truly a way to define order out of apparent chaos.

Randomness and chaos are popular topics these days, in mathematics and in philosophical discussions concerning the general nature of life, but I assure you that if you look around and are thinking of symmetry you will find it. It is everywhere in the plant and animal world as well as the mineral kingdom.

Just stop, bend down, and look at common clover, a plant whose individual leaves exhibit mirror plane symmetry, but whose 3-leaf arrangement displays trigonal symmetry elements. Think about the symmetry of a 4-leafed clover. Now you are not interested in finding one for good luck, but so you can more thoroughly examine its symmetry!

Speaking of good luck, we wish all of you the best of it in your continuing quest for knowledge. We hope we have brought you to a better understanding and appreciation of the symmetry and beauty of the world around you! For the effort involved in reading all this series, we salute you and you are hereby deserving of the Mineralogical Order of the Crystal Sphere, that one object of infinite symmetry. May the sphere ever remind you of the infinite patience it takes to learn about Crystallography and Geometry.

Mike & Darcy Howard


The Calculation of a crystal model

More:

General strategy

Symmetry related face normal vectors hkl

Transformation into Cartesian coordiantes

Common point of three faces

Removing Corners outside the hull (Wulff Construction)

Polygons circumscribing faces

Drawing the Model


General strategy

Well, there aren’t that many texts on calculating a crystal model. Maybe, it is not such an easy task leading to a result that everybody takes for granted.

The model calculation is based on the

· the point group,

· the length of crystallographic axes,

· the angles between the axes,

· the faces of a crystal specified by its Miller indices and

· the distance of each face to the origin of the reference system.

First, we need to connect our task to crystallography, i.e. we need to calculate all existing faces of our crystal model based on a set of unique faces. This process takes the unique face normal indices as input and produces the symmetry related indices using the symmetry operations of the point group. Then, well, we do the following:

3. Calculate symmetry related facenormals hkl

4. Transform crystallographic facenormals hkl into Cartesian coordinates

5. Find common point for each combination of three faces

6. Remove Corners that are outside the hull of the model

7. Make a list of all polygons circumscribing the faces

8. Draw model

So, lets go step-by-step and talk about the problems on the fly


Symmetry related face normal vectors hkl

Having found a set of miller indices that we want to become the basis of the crystal model, we need to produce all symmetry equivalent faces, avoiding adding faces with identical Miller indices. Sometimes several symmetry operations represented by the S matrices, example below, produce the same face. Those need to be deleted from our preliminary list of faces of the model.

The symmetry related faces are calculated from

h’ contains the symmetry related indices, h: Miller indices of a unique face, S: symmetry matrix.

Example: The six S-matrices in Point Group 32 of quartz:

Lets specify a set of unique faces representing a quartz crystal and central distances:

(111) / 0.9, (011) / 1, (101) / 0.9, (100) / 0.6, (511) / 0.7.

For the unique face (511) above matrices then produce the 5 additional faces: (1-61), (-651), (5-6-1), (-61-1), (15-1).


Transformation into Cartesian coordiantes

The screen of the computer is Cartesian: x,y coordinates are normal towards each other so is the view direction, z. A suitable reference system needs to relate to the crystallographic axes, which are in the general, case not Cartesian. I personally prefer the physical reference system where

The physical reference system thus is expressed in the crystallographic axes system, and we are trying now to derive the coefficients of the vectors {e} in the crystallographic system.

Lets play around with e2 that is related to a, b, c by the coefficients x1, x2, x3. Multiplying the first line of the equations below with first the a, then b and then c leads to:

On the left side of the equation are the scalar products between {e} and the crystallographic axes. e2 is perpendicular to c and a. Thus e2*a and e2*c both vanish. We need now to find e2*b.

To do so, lets have a look at the graph below. The first, projected perpendicular to b*//e2 one shows that b* has components to all three crystallographic axes which we need to find.

The second graph shows a projection containing b*. When calculating the scalar product between b and b* we find the angle xi:

One important law used in above equations is the orthogonality of spatial and reciprocal lattice parameters, bb* = 1.

Also we used the relations given for the length of face normal vector h, the quadratic forms. The quadratic forms list the square root of the scalar product of h with itself. The volume of the unit cell is given below.

The system of equations has a solution if the determinant of the matrix vanishes

or, developing the determinant towards the first line:

We finally write down the transformation, using an equation for e1 that comes directly from the graph below. The dotted arrow is –cos(beta), a’ and b’ are normalized crystallographic axes in a plane perpendicular to b*.

When performing the transformation of face normal vectors h with Miller indices h1, h2, h3 we us that

All seems fine now, but there is one more problem here: degenerate points. This situation arises whenever there are corners that belong to more than 3 faces. Just consider a six-fold axis. The point [001] is common to six faces with Miller indices {011} as example. To avoid problems in the following steps, we need to break up the degeneration of corners. This is achieved in adding small arbitrary numbers to the Miller indices of each transformed face and the associated central distance.

The transformed indices (with upper index e) can now be stored and used for the next step.


Common point of three faces

Right, now it is time to introduce the distance of a face toward the origin of the reference system. The shorter a distance is, the larger the face will be. Too large distances could cause a face to lie outside the model.

We need to calculate the corner x and mark it with the indices of the three related faces:

The system of equations we get is:

Lets write this system out in detail:

Again, this is a linear system of equations. We can rewrite the problem and see that in the end we need to invert the matrix h(epsilon, j) and multiply it with a vector y(epsilon) as indicated below to find the corner indices.


Removing Corners outside the hull (Wulff Construction)

Many solutions have a face of the model right ‘underneath’ them. This is found out as given below.

This is essentially following the Wulff construction. The user will determine first by hand or via the BFDH model the central distances of the crystal faces to be drawn. The method depicted in the picture then derives the faces with shortest central distances, or in other words, faces with lowest surface energies (Wulff theorem), which form the equilibrium shape of the crystal.


Polygons circumscribing faces

Two problems arise when we collect all corners to a face in scanning through the corner indices. The order in which the corners pop out of the manifold of corners is not sorted so that connecting them will not go around the contour of the face. But we need to make them all, say, clockwise. This is done in calculating the angles between pairs of corners.

A straightforward algorithm is:

1. Collect all [image] with indices [image] where either one of them corresponds to the index of the face.

2. Select any one of the corners and calculate the vectors to all others.

3. Sort corners with respect to the angle toward first calculated vector. using the QUICKSORT algorithm.

4. Check for rotational sense in calculating [image]. The sign of this product shows if the face is circumscribed clockwise looking along h (positive sign) or anticlockwise (negative sign). This step requires at least three corners (see next step, drawing the model).


Drawing the Model

Having generated all corners of the model, and sorted them to circumscribe each face, we need to do the following:

1. Check if at least three corners are associated with a face

2. Scan through all corners and mark equivalent corners within the limits of accuracy

3. Setup connectivity lists for the corners using always the first occurrence of corners that appear multiple times

4. Create listings of remaining corners and the related connectivity lists

Finally, the model can be drawn. WinXMorph uses the VRML syntax (R98 standard). The *.wrl file created by WinXMorph is then interpreted by a VRML plug-in to the Internet explorer of the Windows operation system.


WinXMorph Program Structure

More:


Flow diagram


Compiler

WinXMorph has been written in Delphi 6. It runs on personal computers running Microsoft Windows 95, 98, 2000, XP.


IMPRESSUM

More:


INTRODUCTION

More:


SETTING UP A NEW MODEL

More:

Metric / Editing Crystallographic Axes

Selecting a point symmetry

Editing a unique face

Editing Single Faces

Buttons one by one


TUTORIALS

More:


USING VRML- *.wrl files

WinXMorph produces files in the form of *.wrl files. These files contain nodes and commands that are interpreted by a VRML plug-in to the Internet Browser. The following examples assume that the Cortona VRML Client from Parallel Graphics has been installed on the computer.

More: